#ifndef _NT_STATUS_H_
#define _NT_STATUS_H_

#include "nt_abi.h"

typedef int32_t nt_status;

#define NT_STATUS_SUCCESS                                                       ((nt_status) 0x00000000)

#define NT_DBG_APP_NOT_IDLE                                                     ((nt_status) 0xC0010002)
#define NT_DBG_COMMAND_EXCEPTION                                                ((nt_status) 0x40010009)
#define NT_DBG_CONTINUE                                                         ((nt_status) 0x00010002)
#define NT_DBG_CONTROL_BREAK                                                    ((nt_status) 0x40010008)
#define NT_DBG_CONTROL_C                                                        ((nt_status) 0x40010005)
#define NT_DBG_EXCEPTION_HANDLED                                                ((nt_status) 0x00010001)
#define NT_DBG_EXCEPTION_NOT_HANDLED                                            ((nt_status) 0x80010001)
#define NT_DBG_NO_STATE_CHANGE                                                  ((nt_status) 0xC0010001)
#define NT_DBG_PRINTEXCEPTION_C                                                 ((nt_status) 0x40010006)
#define NT_DBG_REPLY_LATER                                                      ((nt_status) 0x40010001)
#define NT_DBG_RIPEXCEPTION                                                     ((nt_status) 0x40010007)
#define NT_DBG_TERMINATE_PROCESS                                                ((nt_status) 0x40010004)
#define NT_DBG_TERMINATE_THREAD                                                 ((nt_status) 0x40010003)
#define NT_DBG_UNABLE_TO_PROVIDE_HANDLE                                         ((nt_status) 0x40010002)
#define NT_EPT_NT_CANT_CREATE                                                   ((nt_status) 0xC002004C)
#define NT_EPT_NT_CANT_PERFORM_OP                                               ((nt_status) 0xC0020035)
#define NT_EPT_NT_INVALID_ENTRY                                                 ((nt_status) 0xC0020034)
#define NT_EPT_NT_NOT_REGISTERED                                                ((nt_status) 0xC0020036)
#define NT_RPC_NT_ADDRESS_ERROR                                                 ((nt_status) 0xC0020045)
#define NT_RPC_NT_ALREADY_LISTENING                                             ((nt_status) 0xC002000E)
#define NT_RPC_NT_ALREADY_REGISTERED                                            ((nt_status) 0xC002000C)
#define NT_RPC_NT_BAD_STUB_DATA                                                 ((nt_status) 0xC003000C)
#define NT_RPC_NT_BINDING_HAS_NO_AUTH                                           ((nt_status) 0xC002002F)
#define NT_RPC_NT_BINDING_INCOMPLETE                                            ((nt_status) 0xC0020051)
#define NT_RPC_NT_BYTE_COUNT_TOO_SMALL                                          ((nt_status) 0xC003000B)
#define NT_RPC_NT_CALL_CANCELLED                                                ((nt_status) 0xC0020050)
#define NT_RPC_NT_CALL_FAILED                                                   ((nt_status) 0xC002001B)
#define NT_RPC_NT_CALL_FAILED_DNE                                               ((nt_status) 0xC002001C)
#define NT_RPC_NT_CALL_IN_PROGRESS                                              ((nt_status) 0xC0020049)
#define NT_RPC_NT_CANNOT_SUPPORT                                                ((nt_status) 0xC0020041)
#define NT_RPC_NT_CANT_CREATE_ENDPOINT                                          ((nt_status) 0xC0020015)
#define NT_RPC_NT_COMM_FAILURE                                                  ((nt_status) 0xC0020052)
#define NT_RPC_NT_DUPLICATE_ENDPOINT                                            ((nt_status) 0xC0020029)
#define NT_RPC_NT_ENTRY_ALREADY_EXISTS                                          ((nt_status) 0xC002003D)
#define NT_RPC_NT_ENTRY_NOT_FOUND                                               ((nt_status) 0xC002003E)
#define NT_RPC_NT_ENUM_VALUE_OUT_OF_RANGE                                       ((nt_status) 0xC003000A)
#define NT_RPC_NT_FP_DIV_ZERO                                                   ((nt_status) 0xC0020046)
#define NT_RPC_NT_FP_OVERFLOW                                                   ((nt_status) 0xC0020048)
#define NT_RPC_NT_FP_UNDERFLOW                                                  ((nt_status) 0xC0020047)
#define NT_RPC_NT_GROUP_MEMBER_NOT_FOUND                                        ((nt_status) 0xC002004B)
#define NT_RPC_NT_INCOMPLETE_NAME                                               ((nt_status) 0xC0020038)
#define NT_RPC_NT_INTERFACE_NOT_FOUND                                           ((nt_status) 0xC002003C)
#define NT_RPC_NT_INTERNAL_ERROR                                                ((nt_status) 0xC0020043)
#define NT_RPC_NT_INVALID_ASYNC_CALL                                            ((nt_status) 0xC0020063)
#define NT_RPC_NT_INVALID_ASYNC_HANDLE                                          ((nt_status) 0xC0020062)
#define NT_RPC_NT_INVALID_AUTH_IDENTITY                                         ((nt_status) 0xC0020032)
#define NT_RPC_NT_INVALID_BINDING                                               ((nt_status) 0xC0020003)
#define NT_RPC_NT_INVALID_BOUND                                                 ((nt_status) 0xC0020023)
#define NT_RPC_NT_INVALID_ENDPOINT_FORMAT                                       ((nt_status) 0xC0020007)
#define NT_RPC_NT_INVALID_ES_ACTION                                             ((nt_status) 0xC0030059)
#define NT_RPC_NT_INVALID_NAF_ID                                                ((nt_status) 0xC0020040)
#define NT_RPC_NT_INVALID_NAME_SYNTAX                                           ((nt_status) 0xC0020025)
#define NT_RPC_NT_INVALID_NETWORK_OPTIONS                                       ((nt_status) 0xC0020019)
#define NT_RPC_NT_INVALID_NET_ADDR                                              ((nt_status) 0xC0020008)
#define NT_RPC_NT_INVALID_OBJECT                                                ((nt_status) 0xC002004D)
#define NT_RPC_NT_INVALID_PIPE_OBJECT                                           ((nt_status) 0xC003005C)
#define NT_RPC_NT_INVALID_PIPE_OPERATION                                        ((nt_status) 0xC003005D)
#define NT_RPC_NT_INVALID_RPC_PROTSEQ                                           ((nt_status) 0xC0020005)
#define NT_RPC_NT_INVALID_STRING_BINDING                                        ((nt_status) 0xC0020001)
#define NT_RPC_NT_INVALID_STRING_UUID                                           ((nt_status) 0xC0020006)
#define NT_RPC_NT_INVALID_TAG                                                   ((nt_status) 0xC0020022)
#define NT_RPC_NT_INVALID_TIMEOUT                                               ((nt_status) 0xC002000A)
#define NT_RPC_NT_INVALID_VERS_OPTION                                           ((nt_status) 0xC0020039)
#define NT_RPC_NT_MAX_CALLS_TOO_SMALL                                           ((nt_status) 0xC002002B)
#define NT_RPC_NT_NAME_SERVICE_UNAVAILABLE                                      ((nt_status) 0xC002003F)
#define NT_RPC_NT_NOTHING_TO_EXPORT                                             ((nt_status) 0xC0020037)
#define NT_RPC_NT_NOT_ALL_OBJS_UNEXPORTED                                       ((nt_status) 0xC002003B)
#define NT_RPC_NT_NOT_CANCELLED                                                 ((nt_status) 0xC0020058)
#define NT_RPC_NT_NOT_LISTENING                                                 ((nt_status) 0xC0020010)
#define NT_RPC_NT_NOT_RPC_ERROR                                                 ((nt_status) 0xC0020055)
#define NT_RPC_NT_NO_BINDINGS                                                   ((nt_status) 0xC0020013)
#define NT_RPC_NT_NO_CALL_ACTIVE                                                ((nt_status) 0xC002001A)
#define NT_RPC_NT_NO_CONTEXT_AVAILABLE                                          ((nt_status) 0xC0020042)
#define NT_RPC_NT_NO_ENDPOINT_FOUND                                             ((nt_status) 0xC0020009)
#define NT_RPC_NT_NO_ENTRY_NAME                                                 ((nt_status) 0xC0020024)
#define NT_RPC_NT_NO_INTERFACES                                                 ((nt_status) 0xC002004F)
#define NT_RPC_NT_NO_MORE_BINDINGS                                              ((nt_status) 0xC002004A)
#define NT_RPC_NT_NO_MORE_ENTRIES                                               ((nt_status) 0xC0030001)
#define NT_RPC_NT_NO_MORE_MEMBERS                                               ((nt_status) 0xC002003A)
#define NT_RPC_NT_NO_PRINC_NAME                                                 ((nt_status) 0xC0020054)
#define NT_RPC_NT_NO_PROTSEQS                                                   ((nt_status) 0xC0020014)
#define NT_RPC_NT_NO_PROTSEQS_REGISTERED                                        ((nt_status) 0xC002000F)
#define NT_RPC_NT_NULL_REF_POINTER                                              ((nt_status) 0xC0030009)
#define NT_RPC_NT_OBJECT_NOT_FOUND                                              ((nt_status) 0xC002000B)
#define NT_RPC_NT_OUT_OF_RESOURCES                                              ((nt_status) 0xC0020016)
#define NT_RPC_NT_PIPE_CLOSED                                                   ((nt_status) 0xC003005F)
#define NT_RPC_NT_PIPE_DISCIPLINE_ERROR                                         ((nt_status) 0xC0030060)
#define NT_RPC_NT_PIPE_EMPTY                                                    ((nt_status) 0xC0030061)
#define NT_RPC_NT_PROCNUM_OUT_OF_RANGE                                          ((nt_status) 0xC002002E)
#define NT_RPC_NT_PROTOCOL_ERROR                                                ((nt_status) 0xC002001D)
#define NT_RPC_NT_PROTSEQ_NOT_FOUND                                             ((nt_status) 0xC002002D)
#define NT_RPC_NT_PROTSEQ_NOT_SUPPORTED                                         ((nt_status) 0xC0020004)
#define NT_RPC_NT_PROXY_ACCESS_DENIED                                           ((nt_status) 0xC0020064)
#define NT_RPC_NT_SEC_PKG_ERROR                                                 ((nt_status) 0xC0020057)
#define NT_RPC_NT_SEND_INCOMPLETE                                               ((nt_status) 0x400200AF)
#define NT_RPC_NT_SERVER_TOO_BUSY                                               ((nt_status) 0xC0020018)
#define NT_RPC_NT_SERVER_UNAVAILABLE                                            ((nt_status) 0xC0020017)
#define NT_RPC_NT_SS_CANNOT_GET_CALL_HANDLE                                     ((nt_status) 0xC0030008)
#define NT_RPC_NT_SS_CHAR_TRANS_OPEN_FAIL                                       ((nt_status) 0xC0030002)
#define NT_RPC_NT_SS_CHAR_TRANS_SHORT_FILE                                      ((nt_status) 0xC0030003)
#define NT_RPC_NT_SS_CONTEXT_DAMAGED                                            ((nt_status) 0xC0030006)
#define NT_RPC_NT_SS_CONTEXT_MISMATCH                                           ((nt_status) 0xC0030005)
#define NT_RPC_NT_SS_HANDLES_MISMATCH                                           ((nt_status) 0xC0030007)
#define NT_RPC_NT_SS_IN_NULL_CONTEXT                                            ((nt_status) 0xC0030004)
#define NT_RPC_NT_STRING_TOO_LONG                                               ((nt_status) 0xC002002C)
#define NT_RPC_NT_TYPE_ALREADY_REGISTERED                                       ((nt_status) 0xC002000D)
#define NT_RPC_NT_UNKNOWN_AUTHN_LEVEL                                           ((nt_status) 0xC0020031)
#define NT_RPC_NT_UNKNOWN_AUTHN_SERVICE                                         ((nt_status) 0xC0020030)
#define NT_RPC_NT_UNKNOWN_AUTHN_TYPE                                            ((nt_status) 0xC002002A)
#define NT_RPC_NT_UNKNOWN_AUTHZ_SERVICE                                         ((nt_status) 0xC0020033)
#define NT_RPC_NT_UNKNOWN_IF                                                    ((nt_status) 0xC0020012)
#define NT_RPC_NT_UNKNOWN_MGR_TYPE                                              ((nt_status) 0xC0020011)
#define NT_RPC_NT_UNSUPPORTED_AUTHN_LEVEL                                       ((nt_status) 0xC0020053)
#define NT_RPC_NT_UNSUPPORTED_NAME_SYNTAX                                       ((nt_status) 0xC0020026)
#define NT_RPC_NT_UNSUPPORTED_TRANS_SYN                                         ((nt_status) 0xC002001F)
#define NT_RPC_NT_UNSUPPORTED_TYPE                                              ((nt_status) 0xC0020021)
#define NT_RPC_NT_UUID_LOCAL_ONLY                                               ((nt_status) 0x40020056)
#define NT_RPC_NT_UUID_NO_ADDRESS                                               ((nt_status) 0xC0020028)
#define NT_RPC_NT_WRONG_ES_VERSION                                              ((nt_status) 0xC003005A)
#define NT_RPC_NT_WRONG_KIND_OF_BINDING                                         ((nt_status) 0xC0020002)
#define NT_RPC_NT_WRONG_PIPE_VERSION                                            ((nt_status) 0xC003005E)
#define NT_RPC_NT_WRONG_STUB_VERSION                                            ((nt_status) 0xC003005B)
#define NT_RPC_NT_ZERO_DIVIDE                                                   ((nt_status) 0xC0020044)
#define NT_STATUS_ABANDONED                                                     ((nt_status) 0x00000080)
#define NT_STATUS_ABANDONED_WAIT_0                                              ((nt_status) 0x00000080)
#define NT_STATUS_ABANDONED_WAIT_63                                             ((nt_status) 0x000000BF)
#define NT_STATUS_ABANDON_HIBERFILE                                             ((nt_status) 0x40000033)
#define NT_STATUS_ACCESS_AUDIT_BY_POLICY                                        ((nt_status) 0x40000032)
#define NT_STATUS_ACCESS_DENIED                                                 ((nt_status) 0xC0000022)
#define NT_STATUS_ACCESS_DISABLED_BY_POLICY_DEFAULT                             ((nt_status) 0xC0000361)
#define NT_STATUS_ACCESS_DISABLED_BY_POLICY_OTHER                               ((nt_status) 0xC0000364)
#define NT_STATUS_ACCESS_DISABLED_BY_POLICY_PATH                                ((nt_status) 0xC0000362)
#define NT_STATUS_ACCESS_DISABLED_BY_POLICY_PUBLISHER                           ((nt_status) 0xC0000363)
#define NT_STATUS_ACCESS_DISABLED_NO_SAFER_UI_BY_POLICY                         ((nt_status) 0xC0000372)
#define NT_STATUS_ACCESS_VIOLATION                                              ((nt_status) 0xC0000005)
#define NT_STATUS_ACCOUNT_DISABLED                                              ((nt_status) 0xC0000072)
#define NT_STATUS_ACCOUNT_EXPIRED                                               ((nt_status) 0xC0000193)
#define NT_STATUS_ACCOUNT_LOCKED_OUT                                            ((nt_status) 0xC0000234)
#define NT_STATUS_ACCOUNT_RESTRICTION                                           ((nt_status) 0xC000006E)
#define NT_STATUS_ACPI_ACQUIRE_GLOBAL_LOCK                                      ((nt_status) 0xC0140012)
#define NT_STATUS_ACPI_ADDRESS_NOT_MAPPED                                       ((nt_status) 0xC014000C)
#define NT_STATUS_ACPI_ALREADY_INITIALIZED                                      ((nt_status) 0xC0140013)
#define NT_STATUS_ACPI_ASSERT_FAILED                                            ((nt_status) 0xC0140003)
#define NT_STATUS_ACPI_FATAL                                                    ((nt_status) 0xC0140006)
#define NT_STATUS_ACPI_HANDLER_COLLISION                                        ((nt_status) 0xC014000E)
#define NT_STATUS_ACPI_INCORRECT_ARGUMENT_COUNT                                 ((nt_status) 0xC014000B)
#define NT_STATUS_ACPI_INVALID_ACCESS_SIZE                                      ((nt_status) 0xC0140011)
#define NT_STATUS_ACPI_INVALID_ARGTYPE                                          ((nt_status) 0xC0140008)
#define NT_STATUS_ACPI_INVALID_ARGUMENT                                         ((nt_status) 0xC0140005)
#define NT_STATUS_ACPI_INVALID_DATA                                             ((nt_status) 0xC014000F)
#define NT_STATUS_ACPI_INVALID_EVENTTYPE                                        ((nt_status) 0xC014000D)
#define NT_STATUS_ACPI_INVALID_INDEX                                            ((nt_status) 0xC0140004)
#define NT_STATUS_ACPI_INVALID_MUTEX_LEVEL                                      ((nt_status) 0xC0140015)
#define NT_STATUS_ACPI_INVALID_OBJTYPE                                          ((nt_status) 0xC0140009)
#define NT_STATUS_ACPI_INVALID_OPCODE                                           ((nt_status) 0xC0140001)
#define NT_STATUS_ACPI_INVALID_REGION                                           ((nt_status) 0xC0140010)
#define NT_STATUS_ACPI_INVALID_SUPERNAME                                        ((nt_status) 0xC0140007)
#define NT_STATUS_ACPI_INVALID_TABLE                                            ((nt_status) 0xC0140019)
#define NT_STATUS_ACPI_INVALID_TARGETTYPE                                       ((nt_status) 0xC014000A)
#define NT_STATUS_ACPI_MUTEX_NOT_OWNED                                          ((nt_status) 0xC0140016)
#define NT_STATUS_ACPI_MUTEX_NOT_OWNER                                          ((nt_status) 0xC0140017)
#define NT_STATUS_ACPI_NOT_INITIALIZED                                          ((nt_status) 0xC0140014)
#define NT_STATUS_ACPI_POWER_REQUEST_FAILED                                     ((nt_status) 0xC0140021)
#define NT_STATUS_ACPI_REG_HANDLER_FAILED                                       ((nt_status) 0xC0140020)
#define NT_STATUS_ACPI_RS_ACCESS                                                ((nt_status) 0xC0140018)
#define NT_STATUS_ACPI_STACK_OVERFLOW                                           ((nt_status) 0xC0140002)
#define NT_STATUS_ADAPTER_HARDWARE_ERROR                                        ((nt_status) 0xC00000C2)
#define NT_STATUS_ADDRESS_ALREADY_ASSOCIATED                                    ((nt_status) 0xC0000238)
#define NT_STATUS_ADDRESS_ALREADY_EXISTS                                        ((nt_status) 0xC000020A)
#define NT_STATUS_ADDRESS_CLOSED                                                ((nt_status) 0xC000020B)
#define NT_STATUS_ADDRESS_NOT_ASSOCIATED                                        ((nt_status) 0xC0000239)
#define NT_STATUS_ADVANCED_INSTALLER_FAILED                                     ((nt_status) 0xC0150020)
#define NT_STATUS_AGENTS_EXHAUSTED                                              ((nt_status) 0xC0000085)
#define NT_STATUS_ALERTED                                                       ((nt_status) 0x00000101)
#define NT_STATUS_ALIAS_EXISTS                                                  ((nt_status) 0xC0000154)
#define NT_STATUS_ALLOCATE_BUCKET                                               ((nt_status) 0xC000022F)
#define NT_STATUS_ALLOTTED_SPACE_EXCEEDED                                       ((nt_status) 0xC0000099)
#define NT_STATUS_ALL_SIDS_FILTERED                                             ((nt_status) 0xC000035E)
#define NT_STATUS_ALL_USER_TRUST_QUOTA_EXCEEDED                                 ((nt_status) 0xC0000402)
#define NT_STATUS_ALPC_CHECK_COMPLETION_LIST                                    ((nt_status) 0x40000030)
#define NT_STATUS_ALREADY_COMMITTED                                             ((nt_status) 0xC0000021)
#define NT_STATUS_ALREADY_DISCONNECTED                                          ((nt_status) 0x80000025)
#define NT_STATUS_ALREADY_REGISTERED                                            ((nt_status) 0xC0000718)
#define NT_STATUS_ALREADY_WIN32                                                 ((nt_status) 0x4000001B)
#define NT_STATUS_AMBIGUOUS_SYSTEM_DEVICE                                       ((nt_status) 0xC0000451)
#define NT_STATUS_APC_RETURNED_WHILE_IMPERSONATING                              ((nt_status) 0xC0000711)
#define NT_STATUS_APPHELP_BLOCK                                                 ((nt_status) 0xC000035D)
#define NT_STATUS_APP_INIT_FAILURE                                              ((nt_status) 0xC0000145)
#define NT_STATUS_ARBITRATION_UNHANDLED                                         ((nt_status) 0x40000026)
#define NT_STATUS_ARRAY_BOUNDS_EXCEEDED                                         ((nt_status) 0xC000008C)
#define NT_STATUS_ASSERTION_FAILURE                                             ((nt_status) 0xC0000420)
#define NT_STATUS_AUDITING_DISABLED                                             ((nt_status) 0xC0000356)
#define NT_STATUS_AUDIT_FAILED                                                  ((nt_status) 0xC0000244)
#define NT_STATUS_AUTHENTICATION_FIREWALL_FAILED                                ((nt_status) 0xC0000413)
#define NT_STATUS_AUTHIP_FAILURE                                                ((nt_status) 0xC000A086)
#define NT_STATUS_BACKUP_CONTROLLER                                             ((nt_status) 0xC0000187)
#define NT_STATUS_BAD_BINDINGS                                                  ((nt_status) 0xC000035B)
#define NT_STATUS_BAD_CLUSTERS                                                  ((nt_status) 0xC0000805)
#define NT_STATUS_BAD_COMPRESSION_BUFFER                                        ((nt_status) 0xC0000242)
#define NT_STATUS_BAD_CURRENT_DIRECTORY                                         ((nt_status) 0x40000007)
#define NT_STATUS_BAD_DESCRIPTOR_FORMAT                                         ((nt_status) 0xC00000E7)
#define NT_STATUS_BAD_DEVICE_TYPE                                               ((nt_status) 0xC00000CB)
#define NT_STATUS_BAD_DLL_ENTRYPOINT                                            ((nt_status) 0xC0000251)
#define NT_STATUS_BAD_FILE_TYPE                                                 ((nt_status) 0xC0000903)
#define NT_STATUS_BAD_FUNCTION_TABLE                                            ((nt_status) 0xC00000FF)
#define NT_STATUS_BAD_IMPERSONATION_LEVEL                                       ((nt_status) 0xC00000A5)
#define NT_STATUS_BAD_INHERITANCE_ACL                                           ((nt_status) 0xC000007D)
#define NT_STATUS_BAD_INITIAL_PC                                                ((nt_status) 0xC000000A)
#define NT_STATUS_BAD_INITIAL_STACK                                             ((nt_status) 0xC0000009)
#define NT_STATUS_BAD_LOGON_SESSION_STATE                                       ((nt_status) 0xC0000104)
#define NT_STATUS_BAD_MASTER_BOOT_RECORD                                        ((nt_status) 0xC00000A9)
#define NT_STATUS_BAD_MCFG_TABLE                                                ((nt_status) 0xC0000908)
#define NT_STATUS_BAD_NETWORK_NAME                                              ((nt_status) 0xC00000CC)
#define NT_STATUS_BAD_NETWORK_PATH                                              ((nt_status) 0xC00000BE)
#define NT_STATUS_BAD_REMOTE_ADAPTER                                            ((nt_status) 0xC00000C5)
#define NT_STATUS_BAD_SERVICE_ENTRYPOINT                                        ((nt_status) 0xC0000252)
#define NT_STATUS_BAD_STACK                                                     ((nt_status) 0xC0000028)
#define NT_STATUS_BAD_TOKEN_TYPE                                                ((nt_status) 0xC00000A8)
#define NT_STATUS_BAD_VALIDATION_CLASS                                          ((nt_status) 0xC00000A7)
#define NT_STATUS_BAD_WORKING_SET_LIMIT                                         ((nt_status) 0xC000004C)
#define NT_STATUS_BEGINNING_OF_MEDIA                                            ((nt_status) 0x8000001F)
#define NT_STATUS_BEYOND_VDL                                                    ((nt_status) 0xC0000432)
#define NT_STATUS_BIOS_FAILED_TO_CONNECT_INTERRUPT                              ((nt_status) 0xC000016E)
#define NT_STATUS_BIZRULES_NOT_ENABLED                                          ((nt_status) 0x40000034)
#define NT_STATUS_BREAKPOINT                                                    ((nt_status) 0x80000003)
#define NT_STATUS_BUFFER_ALL_ZEROS                                              ((nt_status) 0x00000117)
#define NT_STATUS_BUFFER_OVERFLOW                                               ((nt_status) 0x80000005)
#define NT_STATUS_BUFFER_TOO_SMALL                                              ((nt_status) 0xC0000023)
#define NT_STATUS_BUS_RESET                                                     ((nt_status) 0x8000001D)
#define NT_STATUS_CACHE_PAGE_LOCKED                                             ((nt_status) 0x00000115)
#define NT_STATUS_CALLBACK_BYPASS                                               ((nt_status) 0xC0000503)
#define NT_STATUS_CALLBACK_POP_STACK                                            ((nt_status) 0xC0000423)
#define NT_STATUS_CALLBACK_RETURNED_LANG                                        ((nt_status) 0xC000071F)
#define NT_STATUS_CALLBACK_RETURNED_LDR_LOCK                                    ((nt_status) 0xC000071E)
#define NT_STATUS_CALLBACK_RETURNED_PRI_BACK                                    ((nt_status) 0xC0000720)
#define NT_STATUS_CALLBACK_RETURNED_THREAD_AFFINITY                             ((nt_status) 0xC0000721)
#define NT_STATUS_CALLBACK_RETURNED_THREAD_PRIORITY                             ((nt_status) 0xC000071B)
#define NT_STATUS_CALLBACK_RETURNED_TRANSACTION                                 ((nt_status) 0xC000071D)
#define NT_STATUS_CALLBACK_RETURNED_WHILE_IMPERSONATING                         ((nt_status) 0xC0000710)
#define NT_STATUS_CANCELLED                                                     ((nt_status) 0xC0000120)
#define NT_STATUS_CANNOT_ABORT_TRANSACTIONS                                     ((nt_status) 0xC019004D)
#define NT_STATUS_CANNOT_ACCEPT_TRANSACTED_WORK                                 ((nt_status) 0xC019004C)
#define NT_STATUS_CANNOT_BREAK_OPLOCK                                           ((nt_status) 0xC0000909)
#define NT_STATUS_CANNOT_DELETE                                                 ((nt_status) 0xC0000121)
#define NT_STATUS_CANNOT_EXECUTE_FILE_IN_TRANSACTION                            ((nt_status) 0xC0190044)
#define NT_STATUS_CANNOT_IMPERSONATE                                            ((nt_status) 0xC000010D)
#define NT_STATUS_CANNOT_LOAD_REGISTRY_FILE                                     ((nt_status) 0xC0000218)
#define NT_STATUS_CANNOT_MAKE                                                   ((nt_status) 0xC00002EA)
#define NT_STATUS_CANT_ACCESS_DOMAIN_INFO                                       ((nt_status) 0xC00000DA)
#define NT_STATUS_CANT_BREAK_TRANSACTIONAL_DEPENDENCY                           ((nt_status) 0xC0190037)
#define NT_STATUS_CANT_CREATE_MORE_STREAM_MINIVERSIONS                          ((nt_status) 0xC0190026)
#define NT_STATUS_CANT_CROSS_RM_BOUNDARY                                        ((nt_status) 0xC0190038)
#define NT_STATUS_CANT_DISABLE_MANDATORY                                        ((nt_status) 0xC000005D)
#define NT_STATUS_CANT_ENABLE_DENY_ONLY                                         ((nt_status) 0xC00002B3)
#define NT_STATUS_CANT_OPEN_ANONYMOUS                                           ((nt_status) 0xC00000A6)
#define NT_STATUS_CANT_OPEN_MINIVERSION_WITH_MODIFY_INTENT                      ((nt_status) 0xC0190025)
#define NT_STATUS_CANT_RECOVER_WITH_HANDLE_OPEN                                 ((nt_status) 0x80190031)
#define NT_STATUS_CANT_TERMINATE_SELF                                           ((nt_status) 0xC00000DB)
#define NT_STATUS_CANT_WAIT                                                     ((nt_status) 0xC00000D8)
#define NT_STATUS_CARDBUS_NOT_SUPPORTED                                         ((nt_status) 0x40000027)
#define NT_STATUS_CERTIFICATE_MAPPING_NOT_UNIQUE                                ((nt_status) 0xC0000714)
#define NT_STATUS_CHECKING_FILE_SYSTEM                                          ((nt_status) 0x40000014)
#define NT_STATUS_CHECKOUT_REQUIRED                                             ((nt_status) 0xC0000902)
#define NT_STATUS_CHILD_MUST_BE_VOLATILE                                        ((nt_status) 0xC0000181)
#define NT_STATUS_CLEANER_CARTRIDGE_INSTALLED                                   ((nt_status) 0x80000027)
#define NT_STATUS_CLIENT_SERVER_PARAMETERS_INVALID                              ((nt_status) 0xC0000223)
#define NT_STATUS_CLUSTER_INVALID_NETWORK                                       ((nt_status) 0xC0130010)
#define NT_STATUS_CLUSTER_INVALID_NETWORK_PROVIDER                              ((nt_status) 0xC013000B)
#define NT_STATUS_CLUSTER_INVALID_NODE                                          ((nt_status) 0xC0130001)
#define NT_STATUS_CLUSTER_INVALID_REQUEST                                       ((nt_status) 0xC013000A)
#define NT_STATUS_CLUSTER_JOIN_IN_PROGRESS                                      ((nt_status) 0xC0130003)
#define NT_STATUS_CLUSTER_JOIN_NOT_IN_PROGRESS                                  ((nt_status) 0xC013000F)
#define NT_STATUS_CLUSTER_LOCAL_NODE_NOT_FOUND                                  ((nt_status) 0xC0130005)
#define NT_STATUS_CLUSTER_NETINTERFACE_EXISTS                                   ((nt_status) 0xC0130008)
#define NT_STATUS_CLUSTER_NETINTERFACE_NOT_FOUND                                ((nt_status) 0xC0130009)
#define NT_STATUS_CLUSTER_NETWORK_ALREADY_OFFLINE                               ((nt_status) 0x80130004)
#define NT_STATUS_CLUSTER_NETWORK_ALREADY_ONLINE                                ((nt_status) 0x80130003)
#define NT_STATUS_CLUSTER_NETWORK_EXISTS                                        ((nt_status) 0xC0130006)
#define NT_STATUS_CLUSTER_NETWORK_NOT_FOUND                                     ((nt_status) 0xC0130007)
#define NT_STATUS_CLUSTER_NETWORK_NOT_INTERNAL                                  ((nt_status) 0xC0130016)
#define NT_STATUS_CLUSTER_NODE_ALREADY_DOWN                                     ((nt_status) 0x80130002)
#define NT_STATUS_CLUSTER_NODE_ALREADY_MEMBER                                   ((nt_status) 0x80130005)
#define NT_STATUS_CLUSTER_NODE_ALREADY_UP                                       ((nt_status) 0x80130001)
#define NT_STATUS_CLUSTER_NODE_DOWN                                             ((nt_status) 0xC013000C)
#define NT_STATUS_CLUSTER_NODE_EXISTS                                           ((nt_status) 0xC0130002)
#define NT_STATUS_CLUSTER_NODE_NOT_FOUND                                        ((nt_status) 0xC0130004)
#define NT_STATUS_CLUSTER_NODE_NOT_MEMBER                                       ((nt_status) 0xC013000E)
#define NT_STATUS_CLUSTER_NODE_NOT_PAUSED                                       ((nt_status) 0xC0130014)
#define NT_STATUS_CLUSTER_NODE_PAUSED                                           ((nt_status) 0xC0130013)
#define NT_STATUS_CLUSTER_NODE_UNREACHABLE                                      ((nt_status) 0xC013000D)
#define NT_STATUS_CLUSTER_NODE_UP                                               ((nt_status) 0xC0130012)
#define NT_STATUS_CLUSTER_NO_NET_ADAPTERS                                       ((nt_status) 0xC0130011)
#define NT_STATUS_CLUSTER_NO_SECURITY_CONTEXT                                   ((nt_status) 0xC0130015)
#define NT_STATUS_CLUSTER_POISONED                                              ((nt_status) 0xC0130017)
#define NT_STATUS_COMMITMENT_LIMIT                                              ((nt_status) 0xC000012D)
#define NT_STATUS_COMMITMENT_MINIMUM                                            ((nt_status) 0xC00002C8)
#define NT_STATUS_COMPRESSION_DISABLED                                          ((nt_status) 0xC0000426)
#define NT_STATUS_COMPRESSION_NOT_ALLOWED_IN_TRANSACTION                        ((nt_status) 0xC0190056)
#define NT_STATUS_CONFLICTING_ADDRESSES                                         ((nt_status) 0xC0000018)
#define NT_STATUS_CONNECTION_ABORTED                                            ((nt_status) 0xC0000241)
#define NT_STATUS_CONNECTION_ACTIVE                                             ((nt_status) 0xC000023B)
#define NT_STATUS_CONNECTION_COUNT_LIMIT                                        ((nt_status) 0xC0000246)
#define NT_STATUS_CONNECTION_DISCONNECTED                                       ((nt_status) 0xC000020C)
#define NT_STATUS_CONNECTION_INVALID                                            ((nt_status) 0xC000023A)
#define NT_STATUS_CONNECTION_IN_USE                                             ((nt_status) 0xC0000108)
#define NT_STATUS_CONNECTION_REFUSED                                            ((nt_status) 0xC0000236)
#define NT_STATUS_CONNECTION_RESET                                              ((nt_status) 0xC000020D)
#define NT_STATUS_CONTENT_BLOCKED                                               ((nt_status) 0xC0000804)
#define NT_STATUS_CONTEXT_MISMATCH                                              ((nt_status) 0xC0000719)
#define NT_STATUS_CONTROL_C_EXIT                                                ((nt_status) 0xC000013A)
#define NT_STATUS_CONVERT_TO_LARGE                                              ((nt_status) 0xC000022C)
#define NT_STATUS_COPY_PROTECTION_FAILURE                                       ((nt_status) 0xC0000305)
#define NT_STATUS_CORRUPT_SYSTEM_FILE                                           ((nt_status) 0xC00002C4)
#define NT_STATUS_COULD_NOT_INTERPRET                                           ((nt_status) 0xC00000B9)
#define NT_STATUS_COULD_NOT_RESIZE_LOG                                          ((nt_status) 0x80190009)
#define NT_STATUS_CRASH_DUMP                                                    ((nt_status) 0x00000116)
#define NT_STATUS_CRC_ERROR                                                     ((nt_status) 0xC000003F)
#define NT_STATUS_CRED_REQUIRES_CONFIRMATION                                    ((nt_status) 0xC0000440)
#define NT_STATUS_CRM_PROTOCOL_ALREADY_EXISTS                                   ((nt_status) 0xC019000F)
#define NT_STATUS_CRM_PROTOCOL_NOT_FOUND                                        ((nt_status) 0xC0190011)
#define NT_STATUS_CROSSREALM_DELEGATION_FAILURE                                 ((nt_status) 0xC000040B)
#define NT_STATUS_CRYPTO_SYSTEM_INVALID                                         ((nt_status) 0xC00002F3)
#define NT_STATUS_CSS_AUTHENTICATION_FAILURE                                    ((nt_status) 0xC0000306)
#define NT_STATUS_CSS_KEY_NOT_ESTABLISHED                                       ((nt_status) 0xC0000308)
#define NT_STATUS_CSS_KEY_NOT_PRESENT                                           ((nt_status) 0xC0000307)
#define NT_STATUS_CSS_REGION_MISMATCH                                           ((nt_status) 0xC000030A)
#define NT_STATUS_CSS_RESETS_EXHAUSTED                                          ((nt_status) 0xC000030B)
#define NT_STATUS_CSS_SCRAMBLED_SECTOR                                          ((nt_status) 0xC0000309)
#define NT_STATUS_CS_ENCRYPTION_EXISTING_ENCRYPTED_FILE                         ((nt_status) 0xC0000443)
#define NT_STATUS_CS_ENCRYPTION_FILE_NOT_CSE                                    ((nt_status) 0xC0000445)
#define NT_STATUS_CS_ENCRYPTION_INVALID_SERVER_RESPONSE                         ((nt_status) 0xC0000441)
#define NT_STATUS_CS_ENCRYPTION_NEW_ENCRYPTED_FILE                              ((nt_status) 0xC0000444)
#define NT_STATUS_CS_ENCRYPTION_UNSUPPORTED_SERVER                              ((nt_status) 0xC0000442)
#define NT_STATUS_CTL_FILE_NOT_SUPPORTED                                        ((nt_status) 0xC0000057)
#define NT_STATUS_CTX_BAD_VIDEO_MODE                                            ((nt_status) 0xC00A0018)
#define NT_STATUS_CTX_CDM_CONNECT                                               ((nt_status) 0x400A0004)
#define NT_STATUS_CTX_CDM_DISCONNECT                                            ((nt_status) 0x400A0005)
#define NT_STATUS_CTX_CLIENT_LICENSE_IN_USE                                     ((nt_status) 0xC00A0034)
#define NT_STATUS_CTX_CLIENT_LICENSE_NOT_SET                                    ((nt_status) 0xC00A0033)
#define NT_STATUS_CTX_CLIENT_QUERY_TIMEOUT                                      ((nt_status) 0xC00A0026)
#define NT_STATUS_CTX_CLOSE_PENDING                                             ((nt_status) 0xC00A0006)
#define NT_STATUS_CTX_CONSOLE_CONNECT                                           ((nt_status) 0xC00A0028)
#define NT_STATUS_CTX_CONSOLE_DISCONNECT                                        ((nt_status) 0xC00A0027)
#define NT_STATUS_CTX_GRAPHICS_INVALID                                          ((nt_status) 0xC00A0022)
#define NT_STATUS_CTX_INVALID_MODEMNAME                                         ((nt_status) 0xC00A0009)
#define NT_STATUS_CTX_INVALID_PD                                                ((nt_status) 0xC00A0002)
#define NT_STATUS_CTX_INVALID_WD                                                ((nt_status) 0xC00A002E)
#define NT_STATUS_CTX_LICENSE_CLIENT_INVALID                                    ((nt_status) 0xC00A0012)
#define NT_STATUS_CTX_LICENSE_EXPIRED                                           ((nt_status) 0xC00A0014)
#define NT_STATUS_CTX_LICENSE_NOT_AVAILABLE                                     ((nt_status) 0xC00A0013)
#define NT_STATUS_CTX_LOGON_DISABLED                                            ((nt_status) 0xC00A0037)
#define NT_STATUS_CTX_MODEM_INF_NOT_FOUND                                       ((nt_status) 0xC00A0008)
#define NT_STATUS_CTX_MODEM_RESPONSE_BUSY                                       ((nt_status) 0xC00A000E)
#define NT_STATUS_CTX_MODEM_RESPONSE_NO_CARRIER                                 ((nt_status) 0xC00A000C)
#define NT_STATUS_CTX_MODEM_RESPONSE_NO_DIALTONE                                ((nt_status) 0xC00A000D)
#define NT_STATUS_CTX_MODEM_RESPONSE_TIMEOUT                                    ((nt_status) 0xC00A000B)
#define NT_STATUS_CTX_MODEM_RESPONSE_VOICE                                      ((nt_status) 0xC00A000F)
#define NT_STATUS_CTX_NOT_CONSOLE                                               ((nt_status) 0xC00A0024)
#define NT_STATUS_CTX_NO_OUTBUF                                                 ((nt_status) 0xC00A0007)
#define NT_STATUS_CTX_PD_NOT_FOUND                                              ((nt_status) 0xC00A0003)
#define NT_STATUS_CTX_RESPONSE_ERROR                                            ((nt_status) 0xC00A000A)
#define NT_STATUS_CTX_SECURITY_LAYER_ERROR                                      ((nt_status) 0xC00A0038)
#define NT_STATUS_CTX_SHADOW_DENIED                                             ((nt_status) 0xC00A002A)
#define NT_STATUS_CTX_SHADOW_DISABLED                                           ((nt_status) 0xC00A0031)
#define NT_STATUS_CTX_SHADOW_ENDED_BY_MODE_CHANGE                               ((nt_status) 0xC00A0035)
#define NT_STATUS_CTX_SHADOW_INVALID                                            ((nt_status) 0xC00A0030)
#define NT_STATUS_CTX_SHADOW_NOT_RUNNING                                        ((nt_status) 0xC00A0036)
#define NT_STATUS_CTX_TD_ERROR                                                  ((nt_status) 0xC00A0010)
#define NT_STATUS_CTX_WD_NOT_FOUND                                              ((nt_status) 0xC00A002F)
#define NT_STATUS_CTX_WINSTATION_ACCESS_DENIED                                  ((nt_status) 0xC00A002B)
#define NT_STATUS_CTX_WINSTATION_BUSY                                           ((nt_status) 0xC00A0017)
#define NT_STATUS_CTX_WINSTATION_NAME_COLLISION                                 ((nt_status) 0xC00A0016)
#define NT_STATUS_CTX_WINSTATION_NAME_INVALID                                   ((nt_status) 0xC00A0001)
#define NT_STATUS_CTX_WINSTATION_NOT_FOUND                                      ((nt_status) 0xC00A0015)
#define NT_STATUS_CURRENT_DOMAIN_NOT_ALLOWED                                    ((nt_status) 0xC00002E9)
#define NT_STATUS_CURRENT_TRANSACTION_NOT_VALID                                 ((nt_status) 0xC0190018)
#define NT_STATUS_DATATYPE_MISALIGNMENT                                         ((nt_status) 0x80000002)
#define NT_STATUS_DATATYPE_MISALIGNMENT_ERROR                                   ((nt_status) 0xC00002C5)
#define NT_STATUS_DATA_ERROR                                                    ((nt_status) 0xC000003E)
#define NT_STATUS_DATA_LATE_ERROR                                               ((nt_status) 0xC000003D)
#define NT_STATUS_DATA_LOST_REPAIR                                              ((nt_status) 0x80000803)
#define NT_STATUS_DATA_NOT_ACCEPTED                                             ((nt_status) 0xC000021B)
#define NT_STATUS_DATA_OVERRUN                                                  ((nt_status) 0xC000003C)
#define NT_STATUS_DEBUGGER_INACTIVE                                             ((nt_status) 0xC0000354)
#define NT_STATUS_DEBUG_ATTACH_FAILED                                           ((nt_status) 0xC0000219)
#define NT_STATUS_DECRYPTION_FAILED                                             ((nt_status) 0xC000028B)
#define NT_STATUS_DELAY_LOAD_FAILED                                             ((nt_status) 0xC0000412)
#define NT_STATUS_DELETE_PENDING                                                ((nt_status) 0xC0000056)
#define NT_STATUS_DESTINATION_ELEMENT_FULL                                      ((nt_status) 0xC0000284)
#define NT_STATUS_DEVICE_ALREADY_ATTACHED                                       ((nt_status) 0xC0000038)
#define NT_STATUS_DEVICE_BUSY                                                   ((nt_status) 0x80000011)
#define NT_STATUS_DEVICE_CONFIGURATION_ERROR                                    ((nt_status) 0xC0000182)
#define NT_STATUS_DEVICE_DATA_ERROR                                             ((nt_status) 0xC000009C)
#define NT_STATUS_DEVICE_DOES_NOT_EXIST                                         ((nt_status) 0xC00000C0)
#define NT_STATUS_DEVICE_DOOR_OPEN                                              ((nt_status) 0x80000289)
#define NT_STATUS_DEVICE_ENUMERATION_ERROR                                      ((nt_status) 0xC0000366)
#define NT_STATUS_DEVICE_NOT_CONNECTED                                          ((nt_status) 0xC000009D)
#define NT_STATUS_DEVICE_NOT_PARTITIONED                                        ((nt_status) 0xC0000174)
#define NT_STATUS_DEVICE_NOT_READY                                              ((nt_status) 0xC00000A3)
#define NT_STATUS_DEVICE_OFF_LINE                                               ((nt_status) 0x80000010)
#define NT_STATUS_DEVICE_PAPER_EMPTY                                            ((nt_status) 0x8000000E)
#define NT_STATUS_DEVICE_POWERED_OFF                                            ((nt_status) 0x8000000F)
#define NT_STATUS_DEVICE_PROTOCOL_ERROR                                         ((nt_status) 0xC0000186)
#define NT_STATUS_DEVICE_REMOVED                                                ((nt_status) 0xC00002B6)
#define NT_STATUS_DEVICE_REQUIRES_CLEANING                                      ((nt_status) 0x80000288)
#define NT_STATUS_DFS_EXIT_PATH_FOUND                                           ((nt_status) 0xC000009B)
#define NT_STATUS_DFS_UNAVAILABLE                                               ((nt_status) 0xC000026D)
#define NT_STATUS_DIRECTORY_IS_A_REPARSE_POINT                                  ((nt_status) 0xC0000281)
#define NT_STATUS_DIRECTORY_NOT_EMPTY                                           ((nt_status) 0xC0000101)
#define NT_STATUS_DIRECTORY_NOT_RM                                              ((nt_status) 0xC0190008)
#define NT_STATUS_DIRECTORY_SERVICE_REQUIRED                                    ((nt_status) 0xC00002B1)
#define NT_STATUS_DISK_CORRUPT_ERROR                                            ((nt_status) 0xC0000032)
#define NT_STATUS_DISK_FULL                                                     ((nt_status) 0xC000007F)
#define NT_STATUS_DISK_OPERATION_FAILED                                         ((nt_status) 0xC000016A)
#define NT_STATUS_DISK_QUOTA_EXCEEDED                                           ((nt_status) 0xC0000802)
#define NT_STATUS_DISK_RECALIBRATE_FAILED                                       ((nt_status) 0xC0000169)
#define NT_STATUS_DISK_REPAIR_DISABLED                                          ((nt_status) 0xC0000800)
#define NT_STATUS_DISK_RESET_FAILED                                             ((nt_status) 0xC000016B)
#define NT_STATUS_DLL_INIT_FAILED                                               ((nt_status) 0xC0000142)
#define NT_STATUS_DLL_INIT_FAILED_LOGOFF                                        ((nt_status) 0xC000026B)
#define NT_STATUS_DLL_MIGHT_BE_INCOMPATIBLE                                     ((nt_status) 0x8000002C)
#define NT_STATUS_DLL_MIGHT_BE_INSECURE                                         ((nt_status) 0x8000002B)
#define NT_STATUS_DLL_NOT_FOUND                                                 ((nt_status) 0xC0000135)
#define NT_STATUS_DOMAIN_CONTROLLER_NOT_FOUND                                   ((nt_status) 0xC0000233)
#define NT_STATUS_DOMAIN_CTRLR_CONFIG_ERROR                                     ((nt_status) 0xC000015E)
#define NT_STATUS_DOMAIN_EXISTS                                                 ((nt_status) 0xC00000E0)
#define NT_STATUS_DOMAIN_LIMIT_EXCEEDED                                         ((nt_status) 0xC00000E1)
#define NT_STATUS_DOMAIN_TRUST_INCONSISTENT                                     ((nt_status) 0xC000019B)
#define NT_STATUS_DOWNGRADE_DETECTED                                            ((nt_status) 0xC0000388)
#define NT_STATUS_DRIVERS_LEAKING_LOCKED_PAGES                                  ((nt_status) 0x4000002D)
#define NT_STATUS_DRIVER_BLOCKED                                                ((nt_status) 0xC000036C)
#define NT_STATUS_DRIVER_BLOCKED_CRITICAL                                       ((nt_status) 0xC000036B)
#define NT_STATUS_DRIVER_CANCEL_TIMEOUT                                         ((nt_status) 0xC000021E)
#define NT_STATUS_DRIVER_DATABASE_ERROR                                         ((nt_status) 0xC000036D)
#define NT_STATUS_DRIVER_ENTRYPOINT_NOT_FOUND                                   ((nt_status) 0xC0000263)
#define NT_STATUS_DRIVER_FAILED_PRIOR_UNLOAD                                    ((nt_status) 0xC000038E)
#define NT_STATUS_DRIVER_FAILED_SLEEP                                           ((nt_status) 0xC00002C2)
#define NT_STATUS_DRIVER_INTERNAL_ERROR                                         ((nt_status) 0xC0000183)
#define NT_STATUS_DRIVER_ORDINAL_NOT_FOUND                                      ((nt_status) 0xC0000262)
#define NT_STATUS_DRIVER_PROCESS_TERMINATED                                     ((nt_status) 0xC0000450)
#define NT_STATUS_DRIVER_UNABLE_TO_LOAD                                         ((nt_status) 0xC000026C)
#define NT_STATUS_DS_ADMIN_LIMIT_EXCEEDED                                       ((nt_status) 0xC00002C1)
#define NT_STATUS_DS_AG_CANT_HAVE_UNIVERSAL_MEMBER                              ((nt_status) 0xC0000358)
#define NT_STATUS_DS_ATTRIBUTE_OR_VALUE_EXISTS                                  ((nt_status) 0xC00002A4)
#define NT_STATUS_DS_ATTRIBUTE_TYPE_UNDEFINED                                   ((nt_status) 0xC00002A3)
#define NT_STATUS_DS_BUSY                                                       ((nt_status) 0xC00002A5)
#define NT_STATUS_DS_CANT_MOD_OBJ_CLASS                                         ((nt_status) 0xC00002AE)
#define NT_STATUS_DS_CANT_MOD_PRIMARYGROUPID                                    ((nt_status) 0xC00002D0)
#define NT_STATUS_DS_CANT_ON_NON_LEAF                                           ((nt_status) 0xC00002AC)
#define NT_STATUS_DS_CANT_ON_RDN                                                ((nt_status) 0xC00002AD)
#define NT_STATUS_DS_CANT_START                                                 ((nt_status) 0xC00002E1)
#define NT_STATUS_DS_CROSS_DOM_MOVE_FAILED                                      ((nt_status) 0xC00002AF)
#define NT_STATUS_DS_DOMAIN_NAME_EXISTS_IN_FOREST                               ((nt_status) 0xC000041A)
#define NT_STATUS_DS_DOMAIN_RENAME_IN_PROGRESS                                  ((nt_status) 0xC0000801)
#define NT_STATUS_DS_DUPLICATE_ID_FOUND                                         ((nt_status) 0xC0000405)
#define NT_STATUS_DS_FLAT_NAME_EXISTS_IN_FOREST                                 ((nt_status) 0xC000041B)
#define NT_STATUS_DS_GC_NOT_AVAILABLE                                           ((nt_status) 0xC00002B0)
#define NT_STATUS_DS_GC_REQUIRED                                                ((nt_status) 0xC00002E4)
#define NT_STATUS_DS_GLOBAL_CANT_HAVE_CROSSDOMAIN_MEMBER                        ((nt_status) 0xC00002DA)
#define NT_STATUS_DS_GLOBAL_CANT_HAVE_LOCAL_MEMBER                              ((nt_status) 0xC00002D7)
#define NT_STATUS_DS_GLOBAL_CANT_HAVE_UNIVERSAL_MEMBER                          ((nt_status) 0xC00002D8)
#define NT_STATUS_DS_GROUP_CONVERSION_ERROR                                     ((nt_status) 0xC0000406)
#define NT_STATUS_DS_HAVE_PRIMARY_MEMBERS                                       ((nt_status) 0xC00002DC)
#define NT_STATUS_DS_INCORRECT_ROLE_OWNER                                       ((nt_status) 0xC00002A9)
#define NT_STATUS_DS_INIT_FAILURE                                               ((nt_status) 0xC00002E2)
#define NT_STATUS_DS_INIT_FAILURE_CONSOLE                                       ((nt_status) 0xC00002EC)
#define NT_STATUS_DS_INVALID_ATTRIBUTE_SYNTAX                                   ((nt_status) 0xC00002A2)
#define NT_STATUS_DS_INVALID_GROUP_TYPE                                         ((nt_status) 0xC00002D4)
#define NT_STATUS_DS_LOCAL_CANT_HAVE_CROSSDOMAIN_LOCAL_MEMBER                   ((nt_status) 0xC00002DB)
#define NT_STATUS_DS_LOCAL_MEMBER_OF_LOCAL_ONLY                                 ((nt_status) 0xC00002E5)
#define NT_STATUS_DS_MACHINE_ACCOUNT_QUOTA_EXCEEDED                             ((nt_status) 0xC00002E7)
#define NT_STATUS_DS_MEMBERSHIP_EVALUATED_LOCALLY                               ((nt_status) 0x00000121)
#define NT_STATUS_DS_NAME_NOT_UNIQUE                                            ((nt_status) 0xC0000404)
#define NT_STATUS_DS_NO_ATTRIBUTE_OR_VALUE                                      ((nt_status) 0xC00002A1)
#define NT_STATUS_DS_NO_FPO_IN_UNIVERSAL_GROUPS                                 ((nt_status) 0xC00002E6)
#define NT_STATUS_DS_NO_MORE_RIDS                                               ((nt_status) 0xC00002A8)
#define NT_STATUS_DS_NO_NEST_GLOBALGROUP_IN_MIXEDDOMAIN                         ((nt_status) 0xC00002D5)
#define NT_STATUS_DS_NO_NEST_LOCALGROUP_IN_MIXEDDOMAIN                          ((nt_status) 0xC00002D6)
#define NT_STATUS_DS_NO_RIDS_ALLOCATED                                          ((nt_status) 0xC00002A7)
#define NT_STATUS_DS_OBJ_CLASS_VIOLATION                                        ((nt_status) 0xC00002AB)
#define NT_STATUS_DS_OID_MAPPED_GROUP_CANT_HAVE_MEMBERS                         ((nt_status) 0xC000A087)
#define NT_STATUS_DS_OID_NOT_FOUND                                              ((nt_status) 0xC000A088)
#define NT_STATUS_DS_RIDMGR_INIT_ERROR                                          ((nt_status) 0xC00002AA)
#define NT_STATUS_DS_SAM_INIT_FAILURE                                           ((nt_status) 0xC00002CB)
#define NT_STATUS_DS_SAM_INIT_FAILURE_CONSOLE                                   ((nt_status) 0xC00002ED)
#define NT_STATUS_DS_SENSITIVE_GROUP_VIOLATION                                  ((nt_status) 0xC00002CD)
#define NT_STATUS_DS_SHUTTING_DOWN                                              ((nt_status) 0x40000370)
#define NT_STATUS_DS_SRC_SID_EXISTS_IN_FOREST                                   ((nt_status) 0xC0000419)
#define NT_STATUS_DS_UNAVAILABLE                                                ((nt_status) 0xC00002A6)
#define NT_STATUS_DS_UNIVERSAL_CANT_HAVE_LOCAL_MEMBER                           ((nt_status) 0xC00002D9)
#define NT_STATUS_DS_VERSION_CHECK_FAILURE                                      ((nt_status) 0xC0000355)
#define NT_STATUS_DUPLICATE_NAME                                                ((nt_status) 0xC00000BD)
#define NT_STATUS_DUPLICATE_OBJECTID                                            ((nt_status) 0xC000022A)
#define NT_STATUS_EAS_NOT_SUPPORTED                                             ((nt_status) 0xC000004F)
#define NT_STATUS_EA_CORRUPT_ERROR                                              ((nt_status) 0xC0000053)
#define NT_STATUS_EA_LIST_INCONSISTENT                                          ((nt_status) 0x80000014)
#define NT_STATUS_EA_TOO_LARGE                                                  ((nt_status) 0xC0000050)
#define NT_STATUS_EFS_ALG_BLOB_TOO_BIG                                          ((nt_status) 0xC0000352)
#define NT_STATUS_EFS_NOT_ALLOWED_IN_TRANSACTION                                ((nt_status) 0xC019003E)
#define NT_STATUS_ELEVATION_REQUIRED                                            ((nt_status) 0xC000042C)
#define NT_STATUS_ENCOUNTERED_WRITE_IN_PROGRESS                                 ((nt_status) 0xC0000433)
#define NT_STATUS_ENCRYPTION_FAILED                                             ((nt_status) 0xC000028A)
#define NT_STATUS_END_OF_FILE                                                   ((nt_status) 0xC0000011)
#define NT_STATUS_END_OF_MEDIA                                                  ((nt_status) 0x8000001E)
#define NT_STATUS_ENLISTMENT_NOT_FOUND                                          ((nt_status) 0xC0190050)
#define NT_STATUS_ENLISTMENT_NOT_SUPERIOR                                       ((nt_status) 0xC0190033)
#define NT_STATUS_ENTRYPOINT_NOT_FOUND                                          ((nt_status) 0xC0000139)
#define NT_STATUS_EOM_OVERFLOW                                                  ((nt_status) 0xC0000177)
#define NT_STATUS_EVALUATION_EXPIRATION                                         ((nt_status) 0xC0000268)
#define NT_STATUS_EVENTLOG_CANT_START                                           ((nt_status) 0xC000018F)
#define NT_STATUS_EVENTLOG_FILE_CHANGED                                         ((nt_status) 0xC0000197)
#define NT_STATUS_EVENTLOG_FILE_CORRUPT                                         ((nt_status) 0xC000018E)
#define NT_STATUS_EVENT_DONE                                                    ((nt_status) 0x40000012)
#define NT_STATUS_EVENT_PENDING                                                 ((nt_status) 0x40000013)
#define NT_STATUS_EXPIRED_HANDLE                                                ((nt_status) 0xC0190060)
#define NT_STATUS_EXTRANEOUS_INFORMATION                                        ((nt_status) 0x80000017)
#define NT_STATUS_FAILED_DRIVER_ENTRY                                           ((nt_status) 0xC0000365)
#define NT_STATUS_FAILED_STACK_SWITCH                                           ((nt_status) 0xC0000373)
#define NT_STATUS_FAIL_CHECK                                                    ((nt_status) 0xC0000229)
#define NT_STATUS_FAIL_FAST_EXCEPTION                                           ((nt_status) 0xC0000602)
#define NT_STATUS_FATAL_APP_EXIT                                                ((nt_status) 0x40000015)
#define NT_STATUS_FILEMARK_DETECTED                                             ((nt_status) 0x8000001B)
#define NT_STATUS_FILES_OPEN                                                    ((nt_status) 0xC0000107)
#define NT_STATUS_FILE_CHECKED_OUT                                              ((nt_status) 0xC0000901)
#define NT_STATUS_FILE_CLOSED                                                   ((nt_status) 0xC0000128)
#define NT_STATUS_FILE_CORRUPT_ERROR                                            ((nt_status) 0xC0000102)
#define NT_STATUS_FILE_DELETED                                                  ((nt_status) 0xC0000123)
#define NT_STATUS_FILE_ENCRYPTED                                                ((nt_status) 0xC0000293)
#define NT_STATUS_FILE_FORCED_CLOSED                                            ((nt_status) 0xC00000B6)
#define NT_STATUS_FILE_IDENTITY_NOT_PERSISTENT                                  ((nt_status) 0xC0190036)
#define NT_STATUS_FILE_INVALID                                                  ((nt_status) 0xC0000098)
#define NT_STATUS_FILE_IS_A_DIRECTORY                                           ((nt_status) 0xC00000BA)
#define NT_STATUS_FILE_IS_OFFLINE                                               ((nt_status) 0xC0000267)
#define NT_STATUS_FILE_LOCKED_WITH_ONLY_READERS                                 ((nt_status) 0x0000012A)
#define NT_STATUS_FILE_LOCKED_WITH_WRITERS                                      ((nt_status) 0x0000012B)
#define NT_STATUS_FILE_LOCK_CONFLICT                                            ((nt_status) 0xC0000054)
#define NT_STATUS_FILE_NOT_AVAILABLE                                            ((nt_status) 0xC0000467)
#define NT_STATUS_FILE_NOT_ENCRYPTED                                            ((nt_status) 0xC0000291)
#define NT_STATUS_FILE_RENAMED                                                  ((nt_status) 0xC00000D5)
#define NT_STATUS_FILE_SYSTEM_LIMITATION                                        ((nt_status) 0xC0000427)
#define NT_STATUS_FILE_TOO_LARGE                                                ((nt_status) 0xC0000904)
#define NT_STATUS_FIRMWARE_UPDATED                                              ((nt_status) 0x4000002C)
#define NT_STATUS_FLOATED_SECTION                                               ((nt_status) 0xC019004B)
#define NT_STATUS_FLOAT_DENORMAL_OPERAND                                        ((nt_status) 0xC000008D)
#define NT_STATUS_FLOAT_DIVIDE_BY_ZERO                                          ((nt_status) 0xC000008E)
#define NT_STATUS_FLOAT_INEXACT_RESULT                                          ((nt_status) 0xC000008F)
#define NT_STATUS_FLOAT_INVALID_OPERATION                                       ((nt_status) 0xC0000090)
#define NT_STATUS_FLOAT_MULTIPLE_FAULTS                                         ((nt_status) 0xC00002B4)
#define NT_STATUS_FLOAT_MULTIPLE_TRAPS                                          ((nt_status) 0xC00002B5)
#define NT_STATUS_FLOAT_OVERFLOW                                                ((nt_status) 0xC0000091)
#define NT_STATUS_FLOAT_STACK_CHECK                                             ((nt_status) 0xC0000092)
#define NT_STATUS_FLOAT_UNDERFLOW                                               ((nt_status) 0xC0000093)
#define NT_STATUS_FLOPPY_BAD_REGISTERS                                          ((nt_status) 0xC0000168)
#define NT_STATUS_FLOPPY_ID_MARK_NOT_FOUND                                      ((nt_status) 0xC0000165)
#define NT_STATUS_FLOPPY_UNKNOWN_ERROR                                          ((nt_status) 0xC0000167)
#define NT_STATUS_FLOPPY_VOLUME                                                 ((nt_status) 0xC0000164)
#define NT_STATUS_FLOPPY_WRONG_CYLINDER                                         ((nt_status) 0xC0000166)
#define NT_STATUS_FLT_ALREADY_ENLISTED                                          ((nt_status) 0xC01C001B)
#define NT_STATUS_FLT_BUFFER_TOO_SMALL                                          ((nt_status) 0x801C0001)
#define NT_STATUS_FLT_CBDQ_DISABLED                                             ((nt_status) 0xC01C000E)
#define NT_STATUS_FLT_CONTEXT_ALLOCATION_NOT_FOUND                              ((nt_status) 0xC01C0016)
#define NT_STATUS_FLT_CONTEXT_ALREADY_DEFINED                                   ((nt_status) 0xC01C0002)
#define NT_STATUS_FLT_CONTEXT_ALREADY_LINKED                                    ((nt_status) 0xC01C001C)
#define NT_STATUS_FLT_DELETING_OBJECT                                           ((nt_status) 0xC01C000B)
#define NT_STATUS_FLT_DISALLOW_FAST_IO                                          ((nt_status) 0xC01C0004)
#define NT_STATUS_FLT_DO_NOT_ATTACH                                             ((nt_status) 0xC01C000F)
#define NT_STATUS_FLT_DO_NOT_DETACH                                             ((nt_status) 0xC01C0010)
#define NT_STATUS_FLT_DUPLICATE_ENTRY                                           ((nt_status) 0xC01C000D)
#define NT_STATUS_FLT_FILTER_NOT_FOUND                                          ((nt_status) 0xC01C0013)
#define NT_STATUS_FLT_FILTER_NOT_READY                                          ((nt_status) 0xC01C0008)
#define NT_STATUS_FLT_INSTANCE_ALTITUDE_COLLISION                               ((nt_status) 0xC01C0011)
#define NT_STATUS_FLT_INSTANCE_NAME_COLLISION                                   ((nt_status) 0xC01C0012)
#define NT_STATUS_FLT_INSTANCE_NOT_FOUND                                        ((nt_status) 0xC01C0015)
#define NT_STATUS_FLT_INTERNAL_ERROR                                            ((nt_status) 0xC01C000A)
#define NT_STATUS_FLT_INVALID_ASYNCHRONOUS_REQUEST                              ((nt_status) 0xC01C0003)
#define NT_STATUS_FLT_INVALID_CONTEXT_REGISTRATION                              ((nt_status) 0xC01C0017)
#define NT_STATUS_FLT_INVALID_NAME_REQUEST                                      ((nt_status) 0xC01C0005)
#define NT_STATUS_FLT_IO_COMPLETE                                               ((nt_status) 0x001C0001)
#define NT_STATUS_FLT_MUST_BE_NONPAGED_POOL                                     ((nt_status) 0xC01C000C)
#define NT_STATUS_FLT_NAME_CACHE_MISS                                           ((nt_status) 0xC01C0018)
#define NT_STATUS_FLT_NOT_INITIALIZED                                           ((nt_status) 0xC01C0007)
#define NT_STATUS_FLT_NOT_SAFE_TO_POST_OPERATION                                ((nt_status) 0xC01C0006)
#define NT_STATUS_FLT_NO_DEVICE_OBJECT                                          ((nt_status) 0xC01C0019)
#define NT_STATUS_FLT_NO_HANDLER_DEFINED                                        ((nt_status) 0xC01C0001)
#define NT_STATUS_FLT_NO_WAITER_FOR_REPLY                                       ((nt_status) 0xC01C0020)
#define NT_STATUS_FLT_POST_OPERATION_CLEANUP                                    ((nt_status) 0xC01C0009)
#define NT_STATUS_FLT_VOLUME_ALREADY_MOUNTED                                    ((nt_status) 0xC01C001A)
#define NT_STATUS_FLT_VOLUME_NOT_FOUND                                          ((nt_status) 0xC01C0014)
#define NT_STATUS_FORMS_AUTH_REQUIRED                                           ((nt_status) 0xC0000905)
#define NT_STATUS_FOUND_OUT_OF_SCOPE                                            ((nt_status) 0xC000022E)
#define NT_STATUS_FREE_VM_NOT_AT_BASE                                           ((nt_status) 0xC000009F)
#define NT_STATUS_FSFILTER_OP_COMPLETED_SUCCESSFULLY                            ((nt_status) 0x00000126)
#define NT_STATUS_FS_DRIVER_REQUIRED                                            ((nt_status) 0xC000019C)
#define NT_STATUS_FT_MISSING_MEMBER                                             ((nt_status) 0xC000015F)
#define NT_STATUS_FT_ORPHANING                                                  ((nt_status) 0xC000016D)
#define NT_STATUS_FT_READ_RECOVERY_FROM_BACKUP                                  ((nt_status) 0x4000000A)
#define NT_STATUS_FT_WRITE_RECOVERY                                             ((nt_status) 0x4000000B)
#define NT_STATUS_FULLSCREEN_MODE                                               ((nt_status) 0xC0000159)
#define NT_STATUS_FVE_ACTION_NOT_ALLOWED                                        ((nt_status) 0xC0210009)
#define NT_STATUS_FVE_AUTH_INVALID_APPLICATION                                  ((nt_status) 0xC021001B)
#define NT_STATUS_FVE_AUTH_INVALID_CONFIG                                       ((nt_status) 0xC021001C)
#define NT_STATUS_FVE_BAD_DATA                                                  ((nt_status) 0xC021000A)
#define NT_STATUS_FVE_BAD_INFORMATION                                           ((nt_status) 0xC0210002)
#define NT_STATUS_FVE_BAD_METADATA_POINTER                                      ((nt_status) 0xC021001F)
#define NT_STATUS_FVE_CONV_READ_ERROR                                           ((nt_status) 0xC021000D)
#define NT_STATUS_FVE_CONV_RECOVERY_FAILED                                      ((nt_status) 0xC0210028)
#define NT_STATUS_FVE_CONV_WRITE_ERROR                                          ((nt_status) 0xC021000E)
#define NT_STATUS_FVE_DEBUGGER_ENABLED                                          ((nt_status) 0xC021001D)
#define NT_STATUS_FVE_DRY_RUN_FAILED                                            ((nt_status) 0xC021001E)
#define NT_STATUS_FVE_FAILED_AUTHENTICATION                                     ((nt_status) 0xC0210011)
#define NT_STATUS_FVE_FAILED_BAD_FS                                             ((nt_status) 0xC0210005)
#define NT_STATUS_FVE_FAILED_SECTOR_SIZE                                        ((nt_status) 0xC0210010)
#define NT_STATUS_FVE_FAILED_WRONG_FS                                           ((nt_status) 0xC0210004)
#define NT_STATUS_FVE_FS_MOUNTED                                                ((nt_status) 0xC0210007)
#define NT_STATUS_FVE_FS_NOT_EXTENDED                                           ((nt_status) 0xC0210006)
#define NT_STATUS_FVE_KEYFILE_INVALID                                           ((nt_status) 0xC0210014)
#define NT_STATUS_FVE_KEYFILE_NOT_FOUND                                         ((nt_status) 0xC0210013)
#define NT_STATUS_FVE_KEYFILE_NO_VMK                                            ((nt_status) 0xC0210015)
#define NT_STATUS_FVE_LOCKED_VOLUME                                             ((nt_status) 0xC0210000)
#define NT_STATUS_FVE_NOT_DATA_VOLUME                                           ((nt_status) 0xC021000C)
#define NT_STATUS_FVE_NOT_ENCRYPTED                                             ((nt_status) 0xC0210001)
#define NT_STATUS_FVE_NOT_OS_VOLUME                                             ((nt_status) 0xC0210012)
#define NT_STATUS_FVE_NO_FEATURE_LICENSE                                        ((nt_status) 0xC0210026)
#define NT_STATUS_FVE_NO_LICENSE                                                ((nt_status) 0xC0210008)
#define NT_STATUS_FVE_OLD_METADATA_COPY                                         ((nt_status) 0xC0210020)
#define NT_STATUS_FVE_OVERLAPPED_UPDATE                                         ((nt_status) 0xC021000F)
#define NT_STATUS_FVE_PARTIAL_METADATA                                          ((nt_status) 0x80210001)
#define NT_STATUS_FVE_PIN_INVALID                                               ((nt_status) 0xC021001A)
#define NT_STATUS_FVE_POLICY_USER_DISABLE_RDV_NOT_ALLOWED                       ((nt_status) 0xC0210027)
#define NT_STATUS_FVE_RAW_ACCESS                                                ((nt_status) 0xC0210022)
#define NT_STATUS_FVE_RAW_BLOCKED                                               ((nt_status) 0xC0210023)
#define NT_STATUS_FVE_REBOOT_REQUIRED                                           ((nt_status) 0xC0210021)
#define NT_STATUS_FVE_TOO_SMALL                                                 ((nt_status) 0xC0210003)
#define NT_STATUS_FVE_TPM_DISABLED                                              ((nt_status) 0xC0210016)
#define NT_STATUS_FVE_TPM_INVALID_PCR                                           ((nt_status) 0xC0210018)
#define NT_STATUS_FVE_TPM_NO_VMK                                                ((nt_status) 0xC0210019)
#define NT_STATUS_FVE_TPM_SRK_AUTH_NOT_ZERO                                     ((nt_status) 0xC0210017)
#define NT_STATUS_FVE_TRANSIENT_STATE                                           ((nt_status) 0x80210002)
#define NT_STATUS_FVE_VIRTUALIZED_SPACE_TOO_BIG                                 ((nt_status) 0xC0210029)
#define NT_STATUS_FVE_VOLUME_NOT_BOUND                                          ((nt_status) 0xC021000B)
#define NT_STATUS_FVE_VOLUME_TOO_SMALL                                          ((nt_status) 0xC0210030)
#define NT_STATUS_FWP_ACTION_INCOMPATIBLE_WITH_LAYER                            ((nt_status) 0xC022002C)
#define NT_STATUS_FWP_ACTION_INCOMPATIBLE_WITH_SUBLAYER                         ((nt_status) 0xC022002D)
#define NT_STATUS_FWP_ALREADY_EXISTS                                            ((nt_status) 0xC0220009)
#define NT_STATUS_FWP_BUILTIN_OBJECT                                            ((nt_status) 0xC0220017)
#define NT_STATUS_FWP_CALLOUT_NOTIFICATION_FAILED                               ((nt_status) 0xC0220037)
#define NT_STATUS_FWP_CALLOUT_NOT_FOUND                                         ((nt_status) 0xC0220001)
#define NT_STATUS_FWP_CANNOT_PEND                                               ((nt_status) 0xC0220103)
#define NT_STATUS_FWP_CONDITION_NOT_FOUND                                       ((nt_status) 0xC0220002)
#define NT_STATUS_FWP_CONTEXT_INCOMPATIBLE_WITH_CALLOUT                         ((nt_status) 0xC022002F)
#define NT_STATUS_FWP_CONTEXT_INCOMPATIBLE_WITH_LAYER                           ((nt_status) 0xC022002E)
#define NT_STATUS_FWP_DUPLICATE_AUTH_METHOD                                     ((nt_status) 0xC022003C)
#define NT_STATUS_FWP_DUPLICATE_CONDITION                                       ((nt_status) 0xC022002A)
#define NT_STATUS_FWP_DUPLICATE_KEYMOD                                          ((nt_status) 0xC022002B)
#define NT_STATUS_FWP_DYNAMIC_SESSION_IN_PROGRESS                               ((nt_status) 0xC022000B)
#define NT_STATUS_FWP_EM_NOT_SUPPORTED                                          ((nt_status) 0xC0220032)
#define NT_STATUS_FWP_FILTER_NOT_FOUND                                          ((nt_status) 0xC0220003)
#define NT_STATUS_FWP_INCOMPATIBLE_AUTH_CONFIG                                  ((nt_status) 0xC0220038)
#define NT_STATUS_FWP_INCOMPATIBLE_AUTH_METHOD                                  ((nt_status) 0xC0220030)
#define NT_STATUS_FWP_INCOMPATIBLE_CIPHER_CONFIG                                ((nt_status) 0xC0220039)
#define NT_STATUS_FWP_INCOMPATIBLE_DH_GROUP                                     ((nt_status) 0xC0220031)
#define NT_STATUS_FWP_INCOMPATIBLE_LAYER                                        ((nt_status) 0xC0220014)
#define NT_STATUS_FWP_INCOMPATIBLE_SA_STATE                                     ((nt_status) 0xC022001B)
#define NT_STATUS_FWP_INCOMPATIBLE_TXN                                          ((nt_status) 0xC0220011)
#define NT_STATUS_FWP_INJECT_HANDLE_CLOSING                                     ((nt_status) 0xC0220101)
#define NT_STATUS_FWP_INJECT_HANDLE_STALE                                       ((nt_status) 0xC0220102)
#define NT_STATUS_FWP_INVALID_ACTION_TYPE                                       ((nt_status) 0xC0220024)
#define NT_STATUS_FWP_INVALID_ENUMERATOR                                        ((nt_status) 0xC022001D)
#define NT_STATUS_FWP_INVALID_FLAGS                                             ((nt_status) 0xC022001E)
#define NT_STATUS_FWP_INVALID_INTERVAL                                          ((nt_status) 0xC0220021)
#define NT_STATUS_FWP_INVALID_NET_MASK                                          ((nt_status) 0xC022001F)
#define NT_STATUS_FWP_INVALID_PARAMETER                                         ((nt_status) 0xC0220035)
#define NT_STATUS_FWP_INVALID_RANGE                                             ((nt_status) 0xC0220020)
#define NT_STATUS_FWP_INVALID_WEIGHT                                            ((nt_status) 0xC0220025)
#define NT_STATUS_FWP_IN_USE                                                    ((nt_status) 0xC022000A)
#define NT_STATUS_FWP_KM_CLIENTS_ONLY                                           ((nt_status) 0xC0220015)
#define NT_STATUS_FWP_LAYER_NOT_FOUND                                           ((nt_status) 0xC0220004)
#define NT_STATUS_FWP_LIFETIME_MISMATCH                                         ((nt_status) 0xC0220016)
#define NT_STATUS_FWP_MATCH_TYPE_MISMATCH                                       ((nt_status) 0xC0220026)
#define NT_STATUS_FWP_NET_EVENTS_DISABLED                                       ((nt_status) 0xC0220013)
#define NT_STATUS_FWP_NEVER_MATCH                                               ((nt_status) 0xC0220033)
#define NT_STATUS_FWP_NOTIFICATION_DROPPED                                      ((nt_status) 0xC0220019)
#define NT_STATUS_FWP_NOT_FOUND                                                 ((nt_status) 0xC0220008)
#define NT_STATUS_FWP_NO_TXN_IN_PROGRESS                                        ((nt_status) 0xC022000D)
#define NT_STATUS_FWP_NULL_DISPLAY_NAME                                         ((nt_status) 0xC0220023)
#define NT_STATUS_FWP_NULL_POINTER                                              ((nt_status) 0xC022001C)
#define NT_STATUS_FWP_OUT_OF_BOUNDS                                             ((nt_status) 0xC0220028)
#define NT_STATUS_FWP_PROVIDER_CONTEXT_MISMATCH                                 ((nt_status) 0xC0220034)
#define NT_STATUS_FWP_PROVIDER_CONTEXT_NOT_FOUND                                ((nt_status) 0xC0220006)
#define NT_STATUS_FWP_PROVIDER_NOT_FOUND                                        ((nt_status) 0xC0220005)
#define NT_STATUS_FWP_RESERVED                                                  ((nt_status) 0xC0220029)
#define NT_STATUS_FWP_SESSION_ABORTED                                           ((nt_status) 0xC0220010)
#define NT_STATUS_FWP_SUBLAYER_NOT_FOUND                                        ((nt_status) 0xC0220007)
#define NT_STATUS_FWP_TCPIP_NOT_READY                                           ((nt_status) 0xC0220100)
#define NT_STATUS_FWP_TIMEOUT                                                   ((nt_status) 0xC0220012)
#define NT_STATUS_FWP_TOO_MANY_BOOTTIME_FILTERS                                 ((nt_status) 0xC0220018)
#define NT_STATUS_FWP_TOO_MANY_CALLOUTS                                         ((nt_status) 0xC0220018)
#define NT_STATUS_FWP_TOO_MANY_SUBLAYERS                                        ((nt_status) 0xC0220036)
#define NT_STATUS_FWP_TRAFFIC_MISMATCH                                          ((nt_status) 0xC022001A)
#define NT_STATUS_FWP_TXN_ABORTED                                               ((nt_status) 0xC022000F)
#define NT_STATUS_FWP_TXN_IN_PROGRESS                                           ((nt_status) 0xC022000E)
#define NT_STATUS_FWP_TYPE_MISMATCH                                             ((nt_status) 0xC0220027)
#define NT_STATUS_FWP_WRONG_SESSION                                             ((nt_status) 0xC022000C)
#define NT_STATUS_FWP_ZERO_LENGTH_ARRAY                                         ((nt_status) 0xC0220022)
#define NT_STATUS_GENERIC_COMMAND_FAILED                                        ((nt_status) 0xC0150026)
#define NT_STATUS_GENERIC_NOT_MAPPED                                            ((nt_status) 0xC00000E6)
#define NT_STATUS_GRACEFUL_DISCONNECT                                           ((nt_status) 0xC0000237)
#define NT_STATUS_GRAPHICS_ADAPTER_ACCESS_NOT_EXCLUDED                          ((nt_status) 0xC01E043B)
#define NT_STATUS_GRAPHICS_ADAPTER_CHAIN_NOT_READY                              ((nt_status) 0xC01E0433)
#define NT_STATUS_GRAPHICS_ADAPTER_MUST_HAVE_AT_LEAST_ONE_SOURCE                ((nt_status) 0xC01E0328)
#define NT_STATUS_GRAPHICS_ADAPTER_MUST_HAVE_AT_LEAST_ONE_TARGET                ((nt_status) 0xC01E0329)
#define NT_STATUS_GRAPHICS_ADAPTER_WAS_RESET                                    ((nt_status) 0xC01E0003)
#define NT_STATUS_GRAPHICS_ALLOCATION_BUSY                                      ((nt_status) 0xC01E0102)
#define NT_STATUS_GRAPHICS_ALLOCATION_CLOSED                                    ((nt_status) 0xC01E0112)
#define NT_STATUS_GRAPHICS_ALLOCATION_CONTENT_LOST                              ((nt_status) 0xC01E0116)
#define NT_STATUS_GRAPHICS_ALLOCATION_INVALID                                   ((nt_status) 0xC01E0106)
#define NT_STATUS_GRAPHICS_CANCEL_VIDPN_TOPOLOGY_AUGMENTATION                   ((nt_status) 0xC01E035A)
#define NT_STATUS_GRAPHICS_CANNOTCOLORCONVERT                                   ((nt_status) 0xC01E0008)
#define NT_STATUS_GRAPHICS_CANT_ACCESS_ACTIVE_VIDPN                             ((nt_status) 0xC01E0343)
#define NT_STATUS_GRAPHICS_CANT_EVICT_PINNED_ALLOCATION                         ((nt_status) 0xC01E0109)
#define NT_STATUS_GRAPHICS_CANT_LOCK_MEMORY                                     ((nt_status) 0xC01E0101)
#define NT_STATUS_GRAPHICS_CANT_RENDER_LOCKED_ALLOCATION                        ((nt_status) 0xC01E0111)
#define NT_STATUS_GRAPHICS_CHAINLINKS_NOT_ENUMERATED                            ((nt_status) 0xC01E0432)
#define NT_STATUS_GRAPHICS_CHAINLINKS_NOT_POWERED_ON                            ((nt_status) 0xC01E0435)
#define NT_STATUS_GRAPHICS_CHAINLINKS_NOT_STARTED                               ((nt_status) 0xC01E0434)
#define NT_STATUS_GRAPHICS_CHILD_DESCRIPTOR_NOT_SUPPORTED                       ((nt_status) 0xC01E0401)
#define NT_STATUS_GRAPHICS_CLIENTVIDPN_NOT_SET                                  ((nt_status) 0xC01E035C)
#define NT_STATUS_GRAPHICS_COPP_NOT_SUPPORTED                                   ((nt_status) 0xC01E0501)
#define NT_STATUS_GRAPHICS_DATASET_IS_EMPTY                                     ((nt_status) 0x401E034B)
#define NT_STATUS_GRAPHICS_DDCCI_INVALID_CAPABILITIES_STRING                    ((nt_status) 0xC01E0587)
#define NT_STATUS_GRAPHICS_DDCCI_INVALID_DATA                                   ((nt_status) 0xC01E0585)
#define NT_STATUS_GRAPHICS_DDCCI_INVALID_MESSAGE_CHECKSUM                       ((nt_status) 0xC01E058B)
#define NT_STATUS_GRAPHICS_DDCCI_INVALID_MESSAGE_COMMAND                        ((nt_status) 0xC01E0589)
#define NT_STATUS_GRAPHICS_DDCCI_INVALID_MESSAGE_LENGTH                         ((nt_status) 0xC01E058A)
#define NT_STATUS_GRAPHICS_DDCCI_MONITOR_RETURNED_INVALID_TIMING_STATUS_BYTE    ((nt_status) 0xC01E0586)
#define NT_STATUS_GRAPHICS_DDCCI_VCP_NOT_SUPPORTED                              ((nt_status) 0xC01E0584)
#define NT_STATUS_GRAPHICS_DISPLAY_DEVICE_NOT_ATTACHED_TO_DESKTOP               ((nt_status) 0xC01E05E2)
#define NT_STATUS_GRAPHICS_DRIVER_MISMATCH                                      ((nt_status) 0x401E0117)
#define NT_STATUS_GRAPHICS_EMPTY_ADAPTER_MONITOR_MODE_SUPPORT_INTERSECTION      ((nt_status) 0xC01E0325)
#define NT_STATUS_GRAPHICS_FREQUENCYRANGE_ALREADY_IN_SET                        ((nt_status) 0xC01E031F)
#define NT_STATUS_GRAPHICS_FREQUENCYRANGE_NOT_IN_SET                            ((nt_status) 0xC01E031D)
#define NT_STATUS_GRAPHICS_GAMMA_RAMP_NOT_SUPPORTED                             ((nt_status) 0xC01E0348)
#define NT_STATUS_GRAPHICS_GPU_EXCEPTION_ON_DEVICE                              ((nt_status) 0xC01E0200)
#define NT_STATUS_GRAPHICS_I2C_DEVICE_DOES_NOT_EXIST                            ((nt_status) 0xC01E0581)
#define NT_STATUS_GRAPHICS_I2C_ERROR_RECEIVING_DATA                             ((nt_status) 0xC01E0583)
#define NT_STATUS_GRAPHICS_I2C_ERROR_TRANSMITTING_DATA                          ((nt_status) 0xC01E0582)
#define NT_STATUS_GRAPHICS_I2C_NOT_SUPPORTED                                    ((nt_status) 0xC01E0580)
#define NT_STATUS_GRAPHICS_INCOMPATIBLE_PRIVATE_FORMAT                          ((nt_status) 0xC01E0355)
#define NT_STATUS_GRAPHICS_INCONSISTENT_DEVICE_LINK_STATE                       ((nt_status) 0xC01E0436)
#define NT_STATUS_GRAPHICS_INSUFFICIENT_DMA_BUFFER                              ((nt_status) 0xC01E0001)
#define NT_STATUS_GRAPHICS_INTERNAL_ERROR                                       ((nt_status) 0xC01E05E7)
#define NT_STATUS_GRAPHICS_INVALID_ACTIVE_REGION                                ((nt_status) 0xC01E030B)
#define NT_STATUS_GRAPHICS_INVALID_ALLOCATION_HANDLE                            ((nt_status) 0xC01E0114)
#define NT_STATUS_GRAPHICS_INVALID_ALLOCATION_INSTANCE                          ((nt_status) 0xC01E0113)
#define NT_STATUS_GRAPHICS_INVALID_ALLOCATION_USAGE                             ((nt_status) 0xC01E0110)
#define NT_STATUS_GRAPHICS_INVALID_CLIENT_TYPE                                  ((nt_status) 0xC01E035B)
#define NT_STATUS_GRAPHICS_INVALID_COLORBASIS                                   ((nt_status) 0xC01E033E)
#define NT_STATUS_GRAPHICS_INVALID_COPYPROTECTION_TYPE                          ((nt_status) 0xC01E034F)
#define NT_STATUS_GRAPHICS_INVALID_DISPLAY_ADAPTER                              ((nt_status) 0xC01E0002)
#define NT_STATUS_GRAPHICS_INVALID_DRIVER_MODEL                                 ((nt_status) 0xC01E0004)
#define NT_STATUS_GRAPHICS_INVALID_FREQUENCY                                    ((nt_status) 0xC01E030A)
#define NT_STATUS_GRAPHICS_INVALID_GAMMA_RAMP                                   ((nt_status) 0xC01E0347)
#define NT_STATUS_GRAPHICS_INVALID_MODE_PRUNING_ALGORITHM                       ((nt_status) 0xC01E0356)
#define NT_STATUS_GRAPHICS_INVALID_MONITORDESCRIPTOR                            ((nt_status) 0xC01E032B)
#define NT_STATUS_GRAPHICS_INVALID_MONITORDESCRIPTORSET                         ((nt_status) 0xC01E032A)
#define NT_STATUS_GRAPHICS_INVALID_MONITOR_CAPABILITY_ORIGIN                    ((nt_status) 0xC01E0357)
#define NT_STATUS_GRAPHICS_INVALID_MONITOR_FREQUENCYRANGE                       ((nt_status) 0xC01E031C)
#define NT_STATUS_GRAPHICS_INVALID_MONITOR_FREQUENCYRANGESET                    ((nt_status) 0xC01E031B)
#define NT_STATUS_GRAPHICS_INVALID_MONITOR_FREQUENCYRANGE_CONSTRAINT            ((nt_status) 0xC01E0358)
#define NT_STATUS_GRAPHICS_INVALID_MONITOR_SOURCEMODESET                        ((nt_status) 0xC01E0321)
#define NT_STATUS_GRAPHICS_INVALID_MONITOR_SOURCE_MODE                          ((nt_status) 0xC01E0322)
#define NT_STATUS_GRAPHICS_INVALID_PATH_CONTENT_GEOMETRY_TRANSFORMATION         ((nt_status) 0xC01E0345)
#define NT_STATUS_GRAPHICS_INVALID_PATH_CONTENT_TYPE                            ((nt_status) 0xC01E034E)
#define NT_STATUS_GRAPHICS_INVALID_PATH_IMPORTANCE_ORDINAL                      ((nt_status) 0xC01E0344)
#define NT_STATUS_GRAPHICS_INVALID_PHYSICAL_MONITOR_HANDLE                      ((nt_status) 0xC01E058C)
#define NT_STATUS_GRAPHICS_INVALID_PIXELFORMAT                                  ((nt_status) 0xC01E033D)
#define NT_STATUS_GRAPHICS_INVALID_PIXELVALUEACCESSMODE                         ((nt_status) 0xC01E033F)
#define NT_STATUS_GRAPHICS_INVALID_POINTER                                      ((nt_status) 0xC01E05E4)
#define NT_STATUS_GRAPHICS_INVALID_PRIMARYSURFACE_SIZE                          ((nt_status) 0xC01E033A)
#define NT_STATUS_GRAPHICS_INVALID_SCANLINE_ORDERING                            ((nt_status) 0xC01E0352)
#define NT_STATUS_GRAPHICS_INVALID_STRIDE                                       ((nt_status) 0xC01E033C)
#define NT_STATUS_GRAPHICS_INVALID_TOTAL_REGION                                 ((nt_status) 0xC01E030C)
#define NT_STATUS_GRAPHICS_INVALID_VIDEOPRESENTSOURCESET                        ((nt_status) 0xC01E0315)
#define NT_STATUS_GRAPHICS_INVALID_VIDEOPRESENTTARGETSET                        ((nt_status) 0xC01E0316)
#define NT_STATUS_GRAPHICS_INVALID_VIDEO_PRESENT_SOURCE                         ((nt_status) 0xC01E0304)
#define NT_STATUS_GRAPHICS_INVALID_VIDEO_PRESENT_SOURCE_MODE                    ((nt_status) 0xC01E0310)
#define NT_STATUS_GRAPHICS_INVALID_VIDEO_PRESENT_TARGET                         ((nt_status) 0xC01E0305)
#define NT_STATUS_GRAPHICS_INVALID_VIDEO_PRESENT_TARGET_MODE                    ((nt_status) 0xC01E0311)
#define NT_STATUS_GRAPHICS_INVALID_VIDPN                                        ((nt_status) 0xC01E0303)
#define NT_STATUS_GRAPHICS_INVALID_VIDPN_PRESENT_PATH                           ((nt_status) 0xC01E0319)
#define NT_STATUS_GRAPHICS_INVALID_VIDPN_SOURCEMODESET                          ((nt_status) 0xC01E0308)
#define NT_STATUS_GRAPHICS_INVALID_VIDPN_TARGETMODESET                          ((nt_status) 0xC01E0309)
#define NT_STATUS_GRAPHICS_INVALID_VIDPN_TARGET_SUBSET_TYPE                     ((nt_status) 0xC01E032F)
#define NT_STATUS_GRAPHICS_INVALID_VIDPN_TOPOLOGY                               ((nt_status) 0xC01E0300)
#define NT_STATUS_GRAPHICS_INVALID_VIDPN_TOPOLOGY_RECOMMENDATION_REASON         ((nt_status) 0xC01E034D)
#define NT_STATUS_GRAPHICS_INVALID_VISIBLEREGION_SIZE                           ((nt_status) 0xC01E033B)
#define NT_STATUS_GRAPHICS_LEADLINK_NOT_ENUMERATED                              ((nt_status) 0xC01E0431)
#define NT_STATUS_GRAPHICS_LEADLINK_START_DEFERRED                              ((nt_status) 0x401E0437)
#define NT_STATUS_GRAPHICS_MAX_NUM_PATHS_REACHED                                ((nt_status) 0xC01E0359)
#define NT_STATUS_GRAPHICS_MCA_INTERNAL_ERROR                                   ((nt_status) 0xC01E0588)
#define NT_STATUS_GRAPHICS_MIRRORING_DEVICES_NOT_SUPPORTED                      ((nt_status) 0xC01E05E3)
#define NT_STATUS_GRAPHICS_MODE_ALREADY_IN_MODESET                              ((nt_status) 0xC01E0314)
#define NT_STATUS_GRAPHICS_MODE_ID_MUST_BE_UNIQUE                               ((nt_status) 0xC01E0324)
#define NT_STATUS_GRAPHICS_MODE_NOT_IN_MODESET                                  ((nt_status) 0xC01E034A)
#define NT_STATUS_GRAPHICS_MODE_NOT_PINNED                                      ((nt_status) 0x401E0307)
#define NT_STATUS_GRAPHICS_MONITORDESCRIPTOR_ALREADY_IN_SET                     ((nt_status) 0xC01E032D)
#define NT_STATUS_GRAPHICS_MONITORDESCRIPTOR_ID_MUST_BE_UNIQUE                  ((nt_status) 0xC01E032E)
#define NT_STATUS_GRAPHICS_MONITORDESCRIPTOR_NOT_IN_SET                         ((nt_status) 0xC01E032C)
#define NT_STATUS_GRAPHICS_MONITOR_COULD_NOT_BE_ASSOCIATED_WITH_ADAPTER         ((nt_status) 0xC01E0334)
#define NT_STATUS_GRAPHICS_MONITOR_NOT_CONNECTED                                ((nt_status) 0xC01E0338)
#define NT_STATUS_GRAPHICS_MONITOR_NO_LONGER_EXISTS                             ((nt_status) 0xC01E058D)
#define NT_STATUS_GRAPHICS_MULTISAMPLING_NOT_SUPPORTED                          ((nt_status) 0xC01E0349)
#define NT_STATUS_GRAPHICS_NOT_A_LINKED_ADAPTER                                 ((nt_status) 0xC01E0430)
#define NT_STATUS_GRAPHICS_NOT_EXCLUSIVE_MODE_OWNER                             ((nt_status) 0xC01E0000)
#define NT_STATUS_GRAPHICS_NOT_POST_DEVICE_DRIVER                               ((nt_status) 0xC01E0438)
#define NT_STATUS_GRAPHICS_NO_ACTIVE_VIDPN                                      ((nt_status) 0xC01E0336)
#define NT_STATUS_GRAPHICS_NO_AVAILABLE_IMPORTANCE_ORDINALS                     ((nt_status) 0xC01E0354)
#define NT_STATUS_GRAPHICS_NO_AVAILABLE_VIDPN_TARGET                            ((nt_status) 0xC01E0333)
#define NT_STATUS_GRAPHICS_NO_DISPLAY_DEVICE_CORRESPONDS_TO_NAME                ((nt_status) 0xC01E05E1)
#define NT_STATUS_GRAPHICS_NO_DISPLAY_MODE_MANAGEMENT_SUPPORT                   ((nt_status) 0xC01E0341)
#define NT_STATUS_GRAPHICS_NO_MONITORS_CORRESPOND_TO_DISPLAY_DEVICE             ((nt_status) 0xC01E05E5)
#define NT_STATUS_GRAPHICS_NO_MORE_ELEMENTS_IN_DATASET                          ((nt_status) 0x401E034C)
#define NT_STATUS_GRAPHICS_NO_PREFERRED_MODE                                    ((nt_status) 0x401E031E)
#define NT_STATUS_GRAPHICS_NO_RECOMMENDED_FUNCTIONAL_VIDPN                      ((nt_status) 0xC01E0323)
#define NT_STATUS_GRAPHICS_NO_RECOMMENDED_VIDPN_TOPOLOGY                        ((nt_status) 0xC01E031A)
#define NT_STATUS_GRAPHICS_NO_VIDEO_MEMORY                                      ((nt_status) 0xC01E0100)
#define NT_STATUS_GRAPHICS_NO_VIDPNMGR                                          ((nt_status) 0xC01E0335)
#define NT_STATUS_GRAPHICS_ONLY_CONSOLE_SESSION_SUPPORTED                       ((nt_status) 0xC01E05E0)
#define NT_STATUS_GRAPHICS_OPM_ALL_HDCP_HARDWARE_ALREADY_IN_USE                 ((nt_status) 0xC01E0518)
#define NT_STATUS_GRAPHICS_OPM_DRIVER_INTERNAL_ERROR                            ((nt_status) 0xC01E051E)
#define NT_STATUS_GRAPHICS_OPM_HDCP_SRM_NEVER_SET                               ((nt_status) 0xC01E0516)
#define NT_STATUS_GRAPHICS_OPM_INTERNAL_ERROR                                   ((nt_status) 0xC01E050B)
#define NT_STATUS_GRAPHICS_OPM_INVALID_CONFIGURATION_REQUEST                    ((nt_status) 0xC01E0521)
#define NT_STATUS_GRAPHICS_OPM_INVALID_ENCRYPTED_PARAMETERS                     ((nt_status) 0xC01E0503)
#define NT_STATUS_GRAPHICS_OPM_INVALID_HANDLE                                   ((nt_status) 0xC01E050C)
#define NT_STATUS_GRAPHICS_OPM_INVALID_INFORMATION_REQUEST                      ((nt_status) 0xC01E051D)
#define NT_STATUS_GRAPHICS_OPM_INVALID_POINTER                                  ((nt_status) 0xC01E050A)
#define NT_STATUS_GRAPHICS_OPM_INVALID_SRM                                      ((nt_status) 0xC01E0512)
#define NT_STATUS_GRAPHICS_OPM_NOT_SUPPORTED                                    ((nt_status) 0xC01E0500)
#define NT_STATUS_GRAPHICS_OPM_NO_PROTECTED_OUTPUTS_EXIST                       ((nt_status) 0xC01E0505)
#define NT_STATUS_GRAPHICS_OPM_OUTPUT_DOES_NOT_SUPPORT_ACP                      ((nt_status) 0xC01E0514)
#define NT_STATUS_GRAPHICS_OPM_OUTPUT_DOES_NOT_SUPPORT_CGMSA                    ((nt_status) 0xC01E0515)
#define NT_STATUS_GRAPHICS_OPM_OUTPUT_DOES_NOT_SUPPORT_HDCP                     ((nt_status) 0xC01E0513)
#define NT_STATUS_GRAPHICS_OPM_PARAMETER_ARRAY_TOO_SMALL                        ((nt_status) 0xC01E0504)
#define NT_STATUS_GRAPHICS_OPM_PROTECTED_OUTPUT_DOES_NOT_HAVE_COPP_SEMANTICS    ((nt_status) 0xC01E051C)
#define NT_STATUS_GRAPHICS_OPM_PROTECTED_OUTPUT_DOES_NOT_HAVE_OPM_SEMANTICS     ((nt_status) 0xC01E051F)
#define NT_STATUS_GRAPHICS_OPM_PROTECTED_OUTPUT_NO_LONGER_EXISTS                ((nt_status) 0xC01E051A)
#define NT_STATUS_GRAPHICS_OPM_RESOLUTION_TOO_HIGH                              ((nt_status) 0xC01E0517)
#define NT_STATUS_GRAPHICS_OPM_SESSION_TYPE_CHANGE_IN_PROGRESS                  ((nt_status) 0xC01E051B)
#define NT_STATUS_GRAPHICS_OPM_SIGNALING_NOT_SUPPORTED                          ((nt_status) 0xC01E0520)
#define NT_STATUS_GRAPHICS_OPM_SPANNING_MODE_ENABLED                            ((nt_status) 0xC01E050F)
#define NT_STATUS_GRAPHICS_OPM_THEATER_MODE_ENABLED                             ((nt_status) 0xC01E0510)
#define NT_STATUS_GRAPHICS_PARAMETER_ARRAY_TOO_SMALL                            ((nt_status) 0xC01E05E6)
#define NT_STATUS_GRAPHICS_PARTIAL_DATA_POPULATED                               ((nt_status) 0x401E000A)
#define NT_STATUS_GRAPHICS_PATH_ALREADY_IN_TOPOLOGY                             ((nt_status) 0xC01E0313)
#define NT_STATUS_GRAPHICS_PATH_CONTENT_GEOMETRY_TRANSFORMATION_NOT_PINNED      ((nt_status) 0x401E0351)
#define NT_STATUS_GRAPHICS_PATH_CONTENT_GEOMETRY_TRANSFORMATION_NOT_SUPPORTED   ((nt_status) 0xC01E0346)
#define NT_STATUS_GRAPHICS_PATH_NOT_IN_TOPOLOGY                                 ((nt_status) 0xC01E0327)
#define NT_STATUS_GRAPHICS_PINNED_MODE_MUST_REMAIN_IN_SET                       ((nt_status) 0xC01E0312)
#define NT_STATUS_GRAPHICS_POLLING_TOO_FREQUENTLY                               ((nt_status) 0x401E0439)
#define NT_STATUS_GRAPHICS_PRESENT_DENIED                                       ((nt_status) 0xC01E0007)
#define NT_STATUS_GRAPHICS_PRESENT_MODE_CHANGED                                 ((nt_status) 0xC01E0005)
#define NT_STATUS_GRAPHICS_PRESENT_OCCLUDED                                     ((nt_status) 0xC01E0006)
#define NT_STATUS_GRAPHICS_PRESENT_REDIRECTION_DISABLED                         ((nt_status) 0xC01E000B)
#define NT_STATUS_GRAPHICS_PRESENT_UNOCCLUDED                                   ((nt_status) 0xC01E000C)
#define NT_STATUS_GRAPHICS_PVP_DISPLAY_DEVICE_NOT_ATTACHED_TO_DESKTOP           ((nt_status) 0xC01E0507)
#define NT_STATUS_GRAPHICS_PVP_HFS_FAILED                                       ((nt_status) 0xC01E0511)
#define NT_STATUS_GRAPHICS_PVP_INVALID_CERTIFICATE_LENGTH                       ((nt_status) 0xC01E050E)
#define NT_STATUS_GRAPHICS_PVP_MIRRORING_DEVICES_NOT_SUPPORTED                  ((nt_status) 0xC01E0508)
#define NT_STATUS_GRAPHICS_PVP_NO_DISPLAY_DEVICE_CORRESPONDS_TO_NAME            ((nt_status) 0xC01E0506)
#define NT_STATUS_GRAPHICS_PVP_NO_MONITORS_CORRESPOND_TO_DISPLAY_DEVICE         ((nt_status) 0xC01E050D)
#define NT_STATUS_GRAPHICS_RESOURCES_NOT_RELATED                                ((nt_status) 0xC01E0330)
#define NT_STATUS_GRAPHICS_SESSION_TYPE_CHANGE_IN_PROGRESS                      ((nt_status) 0xC01E05E8)
#define NT_STATUS_GRAPHICS_SOURCE_ALREADY_IN_SET                                ((nt_status) 0xC01E0317)
#define NT_STATUS_GRAPHICS_SOURCE_ID_MUST_BE_UNIQUE                             ((nt_status) 0xC01E0331)
#define NT_STATUS_GRAPHICS_SOURCE_NOT_IN_TOPOLOGY                               ((nt_status) 0xC01E0339)
#define NT_STATUS_GRAPHICS_SPECIFIED_CHILD_ALREADY_CONNECTED                    ((nt_status) 0xC01E0400)
#define NT_STATUS_GRAPHICS_STALE_MODESET                                        ((nt_status) 0xC01E0320)
#define NT_STATUS_GRAPHICS_STALE_VIDPN_TOPOLOGY                                 ((nt_status) 0xC01E0337)
#define NT_STATUS_GRAPHICS_START_DEFERRED                                       ((nt_status) 0x401E043A)
#define NT_STATUS_GRAPHICS_TARGET_ALREADY_IN_SET                                ((nt_status) 0xC01E0318)
#define NT_STATUS_GRAPHICS_TARGET_ID_MUST_BE_UNIQUE                             ((nt_status) 0xC01E0332)
#define NT_STATUS_GRAPHICS_TARGET_NOT_IN_TOPOLOGY                               ((nt_status) 0xC01E0340)
#define NT_STATUS_GRAPHICS_TOO_MANY_REFERENCES                                  ((nt_status) 0xC01E0103)
#define NT_STATUS_GRAPHICS_TOPOLOGY_CHANGES_NOT_ALLOWED                         ((nt_status) 0xC01E0353)
#define NT_STATUS_GRAPHICS_TRY_AGAIN_LATER                                      ((nt_status) 0xC01E0104)
#define NT_STATUS_GRAPHICS_TRY_AGAIN_NOW                                        ((nt_status) 0xC01E0105)
#define NT_STATUS_GRAPHICS_UAB_NOT_SUPPORTED                                    ((nt_status) 0xC01E0502)
#define NT_STATUS_GRAPHICS_UNASSIGNED_MODESET_ALREADY_EXISTS                    ((nt_status) 0xC01E0350)
#define NT_STATUS_GRAPHICS_UNKNOWN_CHILD_STATUS                                 ((nt_status) 0x401E042F)
#define NT_STATUS_GRAPHICS_UNSWIZZLING_APERTURE_UNAVAILABLE                     ((nt_status) 0xC01E0107)
#define NT_STATUS_GRAPHICS_UNSWIZZLING_APERTURE_UNSUPPORTED                     ((nt_status) 0xC01E0108)
#define NT_STATUS_GRAPHICS_VIDEO_PRESENT_TARGETS_LESS_THAN_SOURCES              ((nt_status) 0xC01E0326)
#define NT_STATUS_GRAPHICS_VIDPN_MODALITY_NOT_SUPPORTED                         ((nt_status) 0xC01E0306)
#define NT_STATUS_GRAPHICS_VIDPN_SOURCE_IN_USE                                  ((nt_status) 0xC01E0342)
#define NT_STATUS_GRAPHICS_VIDPN_TOPOLOGY_CURRENTLY_NOT_SUPPORTED               ((nt_status) 0xC01E0302)
#define NT_STATUS_GRAPHICS_VIDPN_TOPOLOGY_NOT_SUPPORTED                         ((nt_status) 0xC01E0301)
#define NT_STATUS_GRAPHICS_WRONG_ALLOCATION_DEVICE                              ((nt_status) 0xC01E0115)
#define NT_STATUS_GROUP_EXISTS                                                  ((nt_status) 0xC0000065)
#define NT_STATUS_GUARD_PAGE_VIOLATION                                          ((nt_status) 0x80000001)
#define NT_STATUS_GUIDS_EXHAUSTED                                               ((nt_status) 0xC0000083)
#define NT_STATUS_GUID_SUBSTITUTION_MADE                                        ((nt_status) 0x8000000C)
#define NT_STATUS_HANDLES_CLOSED                                                ((nt_status) 0x8000000A)
#define NT_STATUS_HANDLE_NOT_CLOSABLE                                           ((nt_status) 0xC0000235)
#define NT_STATUS_HANDLE_NO_LONGER_VALID                                        ((nt_status) 0xC0190028)
#define NT_STATUS_HARDWARE_MEMORY_ERROR                                         ((nt_status) 0xC0000709)
#define NT_STATUS_HASH_NOT_PRESENT                                              ((nt_status) 0xC000A101)
#define NT_STATUS_HASH_NOT_SUPPORTED                                            ((nt_status) 0xC000A100)
#define NT_STATUS_HEAP_CORRUPTION                                               ((nt_status) 0xC0000374)
#define NT_STATUS_HIBERNATED                                                    ((nt_status) 0x4000002A)
#define NT_STATUS_HIBERNATION_FAILURE                                           ((nt_status) 0xC0000411)
#define NT_STATUS_HIVE_UNLOADED                                                 ((nt_status) 0xC0000425)
#define NT_STATUS_HMAC_NOT_SUPPORTED                                            ((nt_status) 0xC000A001)
#define NT_STATUS_HOPLIMIT_EXCEEDED                                             ((nt_status) 0xC000A012)
#define NT_STATUS_HOST_DOWN                                                     ((nt_status) 0xC0000350)
#define NT_STATUS_HOST_UNREACHABLE                                              ((nt_status) 0xC000023D)
#define NT_STATUS_HUNG_DISPLAY_DRIVER_THREAD                                    ((nt_status) 0xC0000415)
#define NT_STATUS_ILLEGAL_CHARACTER                                             ((nt_status) 0xC0000161)
#define NT_STATUS_ILLEGAL_DLL_RELOCATION                                        ((nt_status) 0xC0000269)
#define NT_STATUS_ILLEGAL_ELEMENT_ADDRESS                                       ((nt_status) 0xC0000285)
#define NT_STATUS_ILLEGAL_FLOAT_CONTEXT                                         ((nt_status) 0xC000014A)
#define NT_STATUS_ILLEGAL_FUNCTION                                              ((nt_status) 0xC00000AF)
#define NT_STATUS_ILLEGAL_INSTRUCTION                                           ((nt_status) 0xC000001D)
#define NT_STATUS_ILL_FORMED_PASSWORD                                           ((nt_status) 0xC000006B)
#define NT_STATUS_ILL_FORMED_SERVICE_ENTRY                                      ((nt_status) 0xC0000160)
#define NT_STATUS_IMAGE_ALREADY_LOADED                                          ((nt_status) 0xC000010E)
#define NT_STATUS_IMAGE_ALREADY_LOADED_AS_DLL                                   ((nt_status) 0xC000019D)
#define NT_STATUS_IMAGE_CERT_REVOKED                                            ((nt_status) 0xC0000603)
#define NT_STATUS_IMAGE_CHECKSUM_MISMATCH                                       ((nt_status) 0xC0000221)
#define NT_STATUS_IMAGE_MACHINE_TYPE_MISMATCH                                   ((nt_status) 0x4000000E)
#define NT_STATUS_IMAGE_MACHINE_TYPE_MISMATCH_EXE                               ((nt_status) 0x40000023)
#define NT_STATUS_IMAGE_MP_UP_MISMATCH                                          ((nt_status) 0xC0000249)
#define NT_STATUS_IMAGE_NOT_AT_BASE                                             ((nt_status) 0x40000003)
#define NT_STATUS_IMAGE_SUBSYSTEM_NOT_PRESENT                                   ((nt_status) 0xC00001A3)
#define NT_STATUS_IMPLEMENTATION_LIMIT                                          ((nt_status) 0xC000042B)
#define NT_STATUS_INCOMPATIBLE_DRIVER_BLOCKED                                   ((nt_status) 0xC0000424)
#define NT_STATUS_INCOMPATIBLE_FILE_MAP                                         ((nt_status) 0xC000004D)
#define NT_STATUS_INCOMPATIBLE_WITH_GLOBAL_SHORT_NAME_REGISTRY_SETTING          ((nt_status) 0xC000019E)
#define NT_STATUS_INDOUBT_TRANSACTIONS_EXIST                                    ((nt_status) 0xC019003A)
#define NT_STATUS_INFO_LENGTH_MISMATCH                                          ((nt_status) 0xC0000004)
#define NT_STATUS_INSTANCE_NOT_AVAILABLE                                        ((nt_status) 0xC00000AB)
#define NT_STATUS_INSTRUCTION_MISALIGNMENT                                      ((nt_status) 0xC00000AA)
#define NT_STATUS_INSUFFICIENT_LOGON_INFO                                       ((nt_status) 0xC0000250)
#define NT_STATUS_INSUFFICIENT_NVRAM_RESOURCES                                  ((nt_status) 0xC0000454)
#define NT_STATUS_INSUFFICIENT_POWER                                            ((nt_status) 0xC00002DE)
#define NT_STATUS_INSUFFICIENT_RESOURCES                                        ((nt_status) 0xC000009A)
#define NT_STATUS_INSUFFICIENT_RESOURCE_FOR_SPECIFIED_SHARED_SECTION_SIZE       ((nt_status) 0xC0000416)
#define NT_STATUS_INSUFF_SERVER_RESOURCES                                       ((nt_status) 0xC0000205)
#define NT_STATUS_INTEGER_DIVIDE_BY_ZERO                                        ((nt_status) 0xC0000094)
#define NT_STATUS_INTEGER_OVERFLOW                                              ((nt_status) 0xC0000095)
#define NT_STATUS_INTERNAL_DB_CORRUPTION                                        ((nt_status) 0xC00000E4)
#define NT_STATUS_INTERNAL_DB_ERROR                                             ((nt_status) 0xC0000158)
#define NT_STATUS_INTERNAL_ERROR                                                ((nt_status) 0xC00000E5)
#define NT_STATUS_INTERRUPT_STILL_CONNECTED                                     ((nt_status) 0x00000128)
#define NT_STATUS_INTERRUPT_VECTOR_ALREADY_CONNECTED                            ((nt_status) 0x00000127)
#define NT_STATUS_INVALID_ACCOUNT_NAME                                          ((nt_status) 0xC0000062)
#define NT_STATUS_INVALID_ACE_CONDITION                                         ((nt_status) 0xC00001A2)
#define NT_STATUS_INVALID_ACL                                                   ((nt_status) 0xC0000077)
#define NT_STATUS_INVALID_ADDRESS                                               ((nt_status) 0xC0000141)
#define NT_STATUS_INVALID_ADDRESS_COMPONENT                                     ((nt_status) 0xC0000207)
#define NT_STATUS_INVALID_ADDRESS_WILDCARD                                      ((nt_status) 0xC0000208)
#define NT_STATUS_INVALID_BLOCK_LENGTH                                          ((nt_status) 0xC0000173)
#define NT_STATUS_INVALID_BUFFER_SIZE                                           ((nt_status) 0xC0000206)
#define NT_STATUS_INVALID_CID                                                   ((nt_status) 0xC000000B)
#define NT_STATUS_INVALID_COMPUTER_NAME                                         ((nt_status) 0xC0000122)
#define NT_STATUS_INVALID_CONNECTION                                            ((nt_status) 0xC0000140)
#define NT_STATUS_INVALID_CRUNTIME_PARAMETER                                    ((nt_status) 0xC0000417)
#define NT_STATUS_INVALID_DEVICE_OBJECT_PARAMETER                               ((nt_status) 0xC0000369)
#define NT_STATUS_INVALID_DEVICE_REQUEST                                        ((nt_status) 0xC0000010)
#define NT_STATUS_INVALID_DEVICE_STATE                                          ((nt_status) 0xC0000184)
#define NT_STATUS_INVALID_DISPOSITION                                           ((nt_status) 0xC0000026)
#define NT_STATUS_INVALID_DOMAIN_ROLE                                           ((nt_status) 0xC00000DE)
#define NT_STATUS_INVALID_DOMAIN_STATE                                          ((nt_status) 0xC00000DD)
#define NT_STATUS_INVALID_EA_FLAG                                               ((nt_status) 0x80000015)
#define NT_STATUS_INVALID_EA_NAME                                               ((nt_status) 0x80000013)
#define NT_STATUS_INVALID_FILE_FOR_SECTION                                      ((nt_status) 0xC0000020)
#define NT_STATUS_INVALID_GROUP_ATTRIBUTES                                      ((nt_status) 0xC00000A4)
#define NT_STATUS_INVALID_HANDLE                                                ((nt_status) 0xC0000008)
#define NT_STATUS_INVALID_HW_PROFILE                                            ((nt_status) 0xC0000260)
#define NT_STATUS_INVALID_IDN_NORMALIZATION                                     ((nt_status) 0xC0000716)
#define NT_STATUS_INVALID_ID_AUTHORITY                                          ((nt_status) 0xC0000084)
#define NT_STATUS_INVALID_IMAGE_FORMAT                                          ((nt_status) 0xC000007B)
#define NT_STATUS_INVALID_IMAGE_HASH                                            ((nt_status) 0xC0000428)
#define NT_STATUS_INVALID_IMAGE_LE_FORMAT                                       ((nt_status) 0xC000012E)
#define NT_STATUS_INVALID_IMAGE_NE_FORMAT                                       ((nt_status) 0xC000011B)
#define NT_STATUS_INVALID_IMAGE_NOT_MZ                                          ((nt_status) 0xC000012F)
#define NT_STATUS_INVALID_IMAGE_PROTECT                                         ((nt_status) 0xC0000130)
#define NT_STATUS_INVALID_IMAGE_WIN_16                                          ((nt_status) 0xC0000131)
#define NT_STATUS_INVALID_IMAGE_WIN_32                                          ((nt_status) 0xC0000359)
#define NT_STATUS_INVALID_IMAGE_WIN_64                                          ((nt_status) 0xC000035A)
#define NT_STATUS_INVALID_IMPORT_OF_NON_DLL                                     ((nt_status) 0xC000036F)
#define NT_STATUS_INVALID_INFO_CLASS                                            ((nt_status) 0xC0000003)
#define NT_STATUS_INVALID_LABEL                                                 ((nt_status) 0xC0000446)
#define NT_STATUS_INVALID_LDT_DESCRIPTOR                                        ((nt_status) 0xC000011A)
#define NT_STATUS_INVALID_LDT_OFFSET                                            ((nt_status) 0xC0000119)
#define NT_STATUS_INVALID_LDT_SIZE                                              ((nt_status) 0xC0000118)
#define NT_STATUS_INVALID_LEVEL                                                 ((nt_status) 0xC0000148)
#define NT_STATUS_INVALID_LOCK_RANGE                                            ((nt_status) 0xC00001A1)
#define NT_STATUS_INVALID_LOCK_SEQUENCE                                         ((nt_status) 0xC000001E)
#define NT_STATUS_INVALID_LOGON_HOURS                                           ((nt_status) 0xC000006F)
#define NT_STATUS_INVALID_LOGON_TYPE                                            ((nt_status) 0xC000010B)
#define NT_STATUS_INVALID_MEMBER                                                ((nt_status) 0xC000017B)
#define NT_STATUS_INVALID_MESSAGE                                               ((nt_status) 0xC0000702)
#define NT_STATUS_INVALID_NETWORK_RESPONSE                                      ((nt_status) 0xC00000C3)
#define NT_STATUS_INVALID_OPLOCK_PROTOCOL                                       ((nt_status) 0xC00000E3)
#define NT_STATUS_INVALID_OWNER                                                 ((nt_status) 0xC000005A)
#define NT_STATUS_INVALID_PAGE_PROTECTION                                       ((nt_status) 0xC0000045)
#define NT_STATUS_INVALID_PARAMETER                                             ((nt_status) 0xC000000D)
#define NT_STATUS_INVALID_PARAMETER_1                                           ((nt_status) 0xC00000EF)
#define NT_STATUS_INVALID_PARAMETER_10                                          ((nt_status) 0xC00000F8)
#define NT_STATUS_INVALID_PARAMETER_11                                          ((nt_status) 0xC00000F9)
#define NT_STATUS_INVALID_PARAMETER_12                                          ((nt_status) 0xC00000FA)
#define NT_STATUS_INVALID_PARAMETER_2                                           ((nt_status) 0xC00000F0)
#define NT_STATUS_INVALID_PARAMETER_3                                           ((nt_status) 0xC00000F1)
#define NT_STATUS_INVALID_PARAMETER_4                                           ((nt_status) 0xC00000F2)
#define NT_STATUS_INVALID_PARAMETER_5                                           ((nt_status) 0xC00000F3)
#define NT_STATUS_INVALID_PARAMETER_6                                           ((nt_status) 0xC00000F4)
#define NT_STATUS_INVALID_PARAMETER_7                                           ((nt_status) 0xC00000F5)
#define NT_STATUS_INVALID_PARAMETER_8                                           ((nt_status) 0xC00000F6)
#define NT_STATUS_INVALID_PARAMETER_9                                           ((nt_status) 0xC00000F7)
#define NT_STATUS_INVALID_PARAMETER_MIX                                         ((nt_status) 0xC0000030)
#define NT_STATUS_INVALID_PIPE_STATE                                            ((nt_status) 0xC00000AD)
#define NT_STATUS_INVALID_PLUGPLAY_DEVICE_PATH                                  ((nt_status) 0xC0000261)
#define NT_STATUS_INVALID_PORT_ATTRIBUTES                                       ((nt_status) 0xC000002E)
#define NT_STATUS_INVALID_PORT_HANDLE                                           ((nt_status) 0xC0000042)
#define NT_STATUS_INVALID_PRIMARY_GROUP                                         ((nt_status) 0xC000005B)
#define NT_STATUS_INVALID_QUOTA_LOWER                                           ((nt_status) 0xC0000031)
#define NT_STATUS_INVALID_READ_MODE                                             ((nt_status) 0xC00000B4)
#define NT_STATUS_INVALID_SECURITY_DESCR                                        ((nt_status) 0xC0000079)
#define NT_STATUS_INVALID_SERVER_STATE                                          ((nt_status) 0xC00000DC)
#define NT_STATUS_INVALID_SID                                                   ((nt_status) 0xC0000078)
#define NT_STATUS_INVALID_SIGNATURE                                             ((nt_status) 0xC000A000)
#define NT_STATUS_INVALID_SUB_AUTHORITY                                         ((nt_status) 0xC0000076)
#define NT_STATUS_INVALID_SYSTEM_SERVICE                                        ((nt_status) 0xC000001C)
#define NT_STATUS_INVALID_TASK_INDEX                                            ((nt_status) 0xC0000501)
#define NT_STATUS_INVALID_TASK_NAME                                             ((nt_status) 0xC0000500)
#define NT_STATUS_INVALID_THREAD                                                ((nt_status) 0xC000071C)
#define NT_STATUS_INVALID_TRANSACTION                                           ((nt_status) 0xC0190002)
#define NT_STATUS_INVALID_UNWIND_TARGET                                         ((nt_status) 0xC0000029)
#define NT_STATUS_INVALID_USER_BUFFER                                           ((nt_status) 0xC00000E8)
#define NT_STATUS_INVALID_USER_PRINCIPAL_NAME                                   ((nt_status) 0xC000041C)
#define NT_STATUS_INVALID_VARIANT                                               ((nt_status) 0xC0000232)
#define NT_STATUS_INVALID_VIEW_SIZE                                             ((nt_status) 0xC000001F)
#define NT_STATUS_INVALID_VOLUME_LABEL                                          ((nt_status) 0xC0000086)
#define NT_STATUS_INVALID_WORKSTATION                                           ((nt_status) 0xC0000070)
#define NT_STATUS_IN_PAGE_ERROR                                                 ((nt_status) 0xC0000006)
#define NT_STATUS_IO_DEVICE_ERROR                                               ((nt_status) 0xC0000185)
#define NT_STATUS_IO_PRIVILEGE_FAILED                                           ((nt_status) 0xC0000137)
#define NT_STATUS_IO_REISSUE_AS_CACHED                                          ((nt_status) 0xC0040039)
#define NT_STATUS_IO_REPARSE_DATA_INVALID                                       ((nt_status) 0xC0000278)
#define NT_STATUS_IO_REPARSE_TAG_INVALID                                        ((nt_status) 0xC0000276)
#define NT_STATUS_IO_REPARSE_TAG_MISMATCH                                       ((nt_status) 0xC0000277)
#define NT_STATUS_IO_REPARSE_TAG_NOT_HANDLED                                    ((nt_status) 0xC0000279)
#define NT_STATUS_IO_TIMEOUT                                                    ((nt_status) 0xC00000B5)
#define NT_STATUS_IPSEC_AUTH_FIREWALL_DROP                                      ((nt_status) 0xC0360008)
#define NT_STATUS_IPSEC_BAD_SPI                                                 ((nt_status) 0xC0360001)
#define NT_STATUS_IPSEC_CLEAR_TEXT_DROP                                         ((nt_status) 0xC0360007)
#define NT_STATUS_IPSEC_DOSP_BLOCK                                              ((nt_status) 0xC0368000)
#define NT_STATUS_IPSEC_DOSP_INVALID_PACKET                                     ((nt_status) 0xC0368002)
#define NT_STATUS_IPSEC_DOSP_KEYMOD_NOT_ALLOWED                                 ((nt_status) 0xC0368005)
#define NT_STATUS_IPSEC_DOSP_MAX_ENTRIES                                        ((nt_status) 0xC0368004)
#define NT_STATUS_IPSEC_DOSP_MAX_PER_IP_RATELIMIT_QUEUES                        ((nt_status) 0xC0368006)
#define NT_STATUS_IPSEC_DOSP_RECEIVED_MULTICAST                                 ((nt_status) 0xC0368001)
#define NT_STATUS_IPSEC_DOSP_STATE_LOOKUP_FAILED                                ((nt_status) 0xC0368003)
#define NT_STATUS_IPSEC_INTEGRITY_CHECK_FAILED                                  ((nt_status) 0xC0360006)
#define NT_STATUS_IPSEC_INVALID_PACKET                                          ((nt_status) 0xC0360005)
#define NT_STATUS_IPSEC_QUEUE_OVERFLOW                                          ((nt_status) 0xC000A010)
#define NT_STATUS_IPSEC_REPLAY_CHECK_FAILED                                     ((nt_status) 0xC0360004)
#define NT_STATUS_IPSEC_SA_LIFETIME_EXPIRED                                     ((nt_status) 0xC0360002)
#define NT_STATUS_IPSEC_THROTTLE_DROP                                           ((nt_status) 0xC0360009)
#define NT_STATUS_IPSEC_WRONG_SA                                                ((nt_status) 0xC0360003)
#define NT_STATUS_IP_ADDRESS_CONFLICT1                                          ((nt_status) 0xC0000254)
#define NT_STATUS_IP_ADDRESS_CONFLICT2                                          ((nt_status) 0xC0000255)
#define NT_STATUS_ISSUING_CA_UNTRUSTED                                          ((nt_status) 0xC000038A)
#define NT_STATUS_ISSUING_CA_UNTRUSTED_KDC                                      ((nt_status) 0xC000040D)
#define NT_STATUS_JOURNAL_DELETE_IN_PROGRESS                                    ((nt_status) 0xC00002B7)
#define NT_STATUS_JOURNAL_ENTRY_DELETED                                         ((nt_status) 0xC00002CF)
#define NT_STATUS_JOURNAL_NOT_ACTIVE                                            ((nt_status) 0xC00002B8)
#define NT_STATUS_KDC_CERT_EXPIRED                                              ((nt_status) 0xC000040E)
#define NT_STATUS_KDC_CERT_REVOKED                                              ((nt_status) 0xC000040F)
#define NT_STATUS_KDC_INVALID_REQUEST                                           ((nt_status) 0xC00002FB)
#define NT_STATUS_KDC_UNABLE_TO_REFER                                           ((nt_status) 0xC00002FC)
#define NT_STATUS_KDC_UNKNOWN_ETYPE                                             ((nt_status) 0xC00002FD)
#define NT_STATUS_KEY_DELETED                                                   ((nt_status) 0xC000017C)
#define NT_STATUS_KEY_HAS_CHILDREN                                              ((nt_status) 0xC0000180)
#define NT_STATUS_LAST_ADMIN                                                    ((nt_status) 0xC0000069)
#define NT_STATUS_LICENSE_QUOTA_EXCEEDED                                        ((nt_status) 0xC0000259)
#define NT_STATUS_LICENSE_VIOLATION                                             ((nt_status) 0xC000026A)
#define NT_STATUS_LINK_FAILED                                                   ((nt_status) 0xC000013E)
#define NT_STATUS_LINK_TIMEOUT                                                  ((nt_status) 0xC000013F)
#define NT_STATUS_LM_CROSS_ENCRYPTION_REQUIRED                                  ((nt_status) 0xC000017F)
#define NT_STATUS_LOCAL_DISCONNECT                                              ((nt_status) 0xC000013B)
#define NT_STATUS_LOCAL_USER_SESSION_KEY                                        ((nt_status) 0x40000006)
#define NT_STATUS_LOCK_NOT_GRANTED                                              ((nt_status) 0xC0000055)
#define NT_STATUS_LOGIN_TIME_RESTRICTION                                        ((nt_status) 0xC0000247)
#define NT_STATUS_LOGIN_WKSTA_RESTRICTION                                       ((nt_status) 0xC0000248)
#define NT_STATUS_LOGON_FAILURE                                                 ((nt_status) 0xC000006D)
#define NT_STATUS_LOGON_NOT_GRANTED                                             ((nt_status) 0xC0000155)
#define NT_STATUS_LOGON_SERVER_CONFLICT                                         ((nt_status) 0xC0000132)
#define NT_STATUS_LOGON_SESSION_COLLISION                                       ((nt_status) 0xC0000105)
#define NT_STATUS_LOGON_SESSION_EXISTS                                          ((nt_status) 0xC00000EE)
#define NT_STATUS_LOGON_TYPE_NOT_GRANTED                                        ((nt_status) 0xC000015B)
#define NT_STATUS_LOG_APPENDED_FLUSH_FAILED                                     ((nt_status) 0xC01A002F)
#define NT_STATUS_LOG_ARCHIVE_IN_PROGRESS                                       ((nt_status) 0xC01A0021)
#define NT_STATUS_LOG_ARCHIVE_NOT_IN_PROGRESS                                   ((nt_status) 0xC01A0020)
#define NT_STATUS_LOG_BLOCKS_EXHAUSTED                                          ((nt_status) 0xC01A0006)
#define NT_STATUS_LOG_BLOCK_INCOMPLETE                                          ((nt_status) 0xC01A0004)
#define NT_STATUS_LOG_BLOCK_INVALID                                             ((nt_status) 0xC01A000A)
#define NT_STATUS_LOG_BLOCK_VERSION                                             ((nt_status) 0xC01A0009)
#define NT_STATUS_LOG_CANT_DELETE                                               ((nt_status) 0xC01A0011)
#define NT_STATUS_LOG_CLIENT_ALREADY_REGISTERED                                 ((nt_status) 0xC01A0024)
#define NT_STATUS_LOG_CLIENT_NOT_REGISTERED                                     ((nt_status) 0xC01A0025)
#define NT_STATUS_LOG_CONTAINER_LIMIT_EXCEEDED                                  ((nt_status) 0xC01A0012)
#define NT_STATUS_LOG_CONTAINER_OPEN_FAILED                                     ((nt_status) 0xC01A0029)
#define NT_STATUS_LOG_CONTAINER_READ_FAILED                                     ((nt_status) 0xC01A0027)
#define NT_STATUS_LOG_CONTAINER_STATE_INVALID                                   ((nt_status) 0xC01A002A)
#define NT_STATUS_LOG_CONTAINER_WRITE_FAILED                                    ((nt_status) 0xC01A0028)
#define NT_STATUS_LOG_CORRUPTION_DETECTED                                       ((nt_status) 0xC0190030)
#define NT_STATUS_LOG_DEDICATED                                                 ((nt_status) 0xC01A001F)
#define NT_STATUS_LOG_EPHEMERAL                                                 ((nt_status) 0xC01A0022)
#define NT_STATUS_LOG_FILE_FULL                                                 ((nt_status) 0xC0000188)
#define NT_STATUS_LOG_FULL                                                      ((nt_status) 0xC01A001D)
#define NT_STATUS_LOG_FULL_HANDLER_IN_PROGRESS                                  ((nt_status) 0xC01A0026)
#define NT_STATUS_LOG_GROWTH_FAILED                                             ((nt_status) 0xC0190019)
#define NT_STATUS_LOG_HARD_ERROR                                                ((nt_status) 0x4000001A)
#define NT_STATUS_LOG_INCONSISTENT_SECURITY                                     ((nt_status) 0xC01A002E)
#define NT_STATUS_LOG_INVALID_RANGE                                             ((nt_status) 0xC01A0005)
#define NT_STATUS_LOG_METADATA_CORRUPT                                          ((nt_status) 0xC01A000D)
#define NT_STATUS_LOG_METADATA_FLUSH_FAILED                                     ((nt_status) 0xC01A002D)
#define NT_STATUS_LOG_METADATA_INCONSISTENT                                     ((nt_status) 0xC01A000F)
#define NT_STATUS_LOG_METADATA_INVALID                                          ((nt_status) 0xC01A000E)
#define NT_STATUS_LOG_MULTIPLEXED                                               ((nt_status) 0xC01A001E)
#define NT_STATUS_LOG_NOT_ENOUGH_CONTAINERS                                     ((nt_status) 0xC01A0023)
#define NT_STATUS_LOG_NO_RESTART                                                ((nt_status) 0x401A000C)
#define NT_STATUS_LOG_PINNED                                                    ((nt_status) 0xC01A002C)
#define NT_STATUS_LOG_PINNED_ARCHIVE_TAIL                                       ((nt_status) 0xC01A0018)
#define NT_STATUS_LOG_PINNED_RESERVATION                                        ((nt_status) 0xC01A0030)
#define NT_STATUS_LOG_POLICY_ALREADY_INSTALLED                                  ((nt_status) 0xC01A0014)
#define NT_STATUS_LOG_POLICY_CONFLICT                                           ((nt_status) 0xC01A0017)
#define NT_STATUS_LOG_POLICY_INVALID                                            ((nt_status) 0xC01A0016)
#define NT_STATUS_LOG_POLICY_NOT_INSTALLED                                      ((nt_status) 0xC01A0015)
#define NT_STATUS_LOG_READ_CONTEXT_INVALID                                      ((nt_status) 0xC01A0007)
#define NT_STATUS_LOG_READ_MODE_INVALID                                         ((nt_status) 0xC01A000B)
#define NT_STATUS_LOG_RECORDS_RESERVED_INVALID                                  ((nt_status) 0xC01A001A)
#define NT_STATUS_LOG_RECORD_NONEXISTENT                                        ((nt_status) 0xC01A0019)
#define NT_STATUS_LOG_RESERVATION_INVALID                                       ((nt_status) 0xC01A0010)
#define NT_STATUS_LOG_RESIZE_INVALID_SIZE                                       ((nt_status) 0xC019000B)
#define NT_STATUS_LOG_RESTART_INVALID                                           ((nt_status) 0xC01A0008)
#define NT_STATUS_LOG_SECTOR_INVALID                                            ((nt_status) 0xC01A0001)
#define NT_STATUS_LOG_SECTOR_PARITY_INVALID                                     ((nt_status) 0xC01A0002)
#define NT_STATUS_LOG_SECTOR_REMAPPED                                           ((nt_status) 0xC01A0003)
#define NT_STATUS_LOG_SPACE_RESERVED_INVALID                                    ((nt_status) 0xC01A001B)
#define NT_STATUS_LOG_START_OF_LOG                                              ((nt_status) 0xC01A0013)
#define NT_STATUS_LOG_STATE_INVALID                                             ((nt_status) 0xC01A002B)
#define NT_STATUS_LOG_TAIL_INVALID                                              ((nt_status) 0xC01A001C)
#define NT_STATUS_LONGJUMP                                                      ((nt_status) 0x80000026)
#define NT_STATUS_LOST_WRITEBEHIND_DATA                                         ((nt_status) 0xC0000222)
#define NT_STATUS_LOST_WRITEBEHIND_DATA_LOCAL_DISK_ERROR                        ((nt_status) 0xC000A082)
#define NT_STATUS_LOST_WRITEBEHIND_DATA_NETWORK_DISCONNECTED                    ((nt_status) 0xC000A080)
#define NT_STATUS_LOST_WRITEBEHIND_DATA_NETWORK_SERVER_ERROR                    ((nt_status) 0xC000A081)
#define NT_STATUS_LPC_INVALID_CONNECTION_USAGE                                  ((nt_status) 0xC0000706)
#define NT_STATUS_LPC_RECEIVE_BUFFER_EXPECTED                                   ((nt_status) 0xC0000705)
#define NT_STATUS_LPC_REPLY_LOST                                                ((nt_status) 0xC0000253)
#define NT_STATUS_LPC_REQUESTS_NOT_ALLOWED                                      ((nt_status) 0xC0000707)
#define NT_STATUS_LUIDS_EXHAUSTED                                               ((nt_status) 0xC0000075)
#define NT_STATUS_MAGAZINE_NOT_PRESENT                                          ((nt_status) 0xC0000286)
#define NT_STATUS_MAPPED_ALIGNMENT                                              ((nt_status) 0xC0000220)
#define NT_STATUS_MAPPED_FILE_SIZE_ZERO                                         ((nt_status) 0xC000011E)
#define NT_STATUS_MARSHALL_OVERFLOW                                             ((nt_status) 0xC0000231)
#define NT_STATUS_MAX_REFERRALS_EXCEEDED                                        ((nt_status) 0xC00002F4)
#define NT_STATUS_MCA_EXCEPTION                                                 ((nt_status) 0xC0000713)
#define NT_STATUS_MCA_OCCURED                                                   ((nt_status) 0xC000036A)
#define NT_STATUS_MEDIA_CHANGED                                                 ((nt_status) 0x8000001C)
#define NT_STATUS_MEDIA_CHECK                                                   ((nt_status) 0x80000020)
#define NT_STATUS_MEDIA_WRITE_PROTECTED                                         ((nt_status) 0xC00000A2)
#define NT_STATUS_MEMBERS_PRIMARY_GROUP                                         ((nt_status) 0xC0000127)
#define NT_STATUS_MEMBER_IN_ALIAS                                               ((nt_status) 0xC0000153)
#define NT_STATUS_MEMBER_IN_GROUP                                               ((nt_status) 0xC0000067)
#define NT_STATUS_MEMBER_NOT_IN_ALIAS                                           ((nt_status) 0xC0000152)
#define NT_STATUS_MEMBER_NOT_IN_GROUP                                           ((nt_status) 0xC0000068)
#define NT_STATUS_MEMORY_NOT_ALLOCATED                                          ((nt_status) 0xC00000A0)
#define NT_STATUS_MESSAGE_LOST                                                  ((nt_status) 0xC0000701)
#define NT_STATUS_MESSAGE_NOT_FOUND                                             ((nt_status) 0xC0000109)
#define NT_STATUS_MESSAGE_RETRIEVED                                             ((nt_status) 0x4000002E)
#define NT_STATUS_MFT_TOO_FRAGMENTED                                            ((nt_status) 0xC0000304)
#define NT_STATUS_MINIVERSION_INACCESSIBLE_FROM_SPECIFIED_TRANSACTION           ((nt_status) 0xC0190024)
#define NT_STATUS_MISSING_SYSTEMFILE                                            ((nt_status) 0xC0000143)
#define NT_STATUS_MONITOR_INVALID_DESCRIPTOR_CHECKSUM                           ((nt_status) 0xC01D0003)
#define NT_STATUS_MONITOR_INVALID_DETAILED_TIMING_BLOCK                         ((nt_status) 0xC01D0009)
#define NT_STATUS_MONITOR_INVALID_MANUFACTURE_DATE                              ((nt_status) 0xC01D000A)
#define NT_STATUS_MONITOR_INVALID_SERIAL_NUMBER_MONDSC_BLOCK                    ((nt_status) 0xC01D0006)
#define NT_STATUS_MONITOR_INVALID_STANDARD_TIMING_BLOCK                         ((nt_status) 0xC01D0004)
#define NT_STATUS_MONITOR_INVALID_USER_FRIENDLY_MONDSC_BLOCK                    ((nt_status) 0xC01D0007)
#define NT_STATUS_MONITOR_NO_DESCRIPTOR                                         ((nt_status) 0xC01D0001)
#define NT_STATUS_MONITOR_NO_MORE_DESCRIPTOR_DATA                               ((nt_status) 0xC01D0008)
#define NT_STATUS_MONITOR_UNKNOWN_DESCRIPTOR_FORMAT                             ((nt_status) 0xC01D0002)
#define NT_STATUS_MONITOR_WMI_DATABLOCK_REGISTRATION_FAILED                     ((nt_status) 0xC01D0005)
#define NT_STATUS_MORE_ENTRIES                                                  ((nt_status) 0x00000105)
#define NT_STATUS_MORE_PROCESSING_REQUIRED                                      ((nt_status) 0xC0000016)
#define NT_STATUS_MOUNT_POINT_NOT_RESOLVED                                      ((nt_status) 0xC0000368)
#define NT_STATUS_MP_PROCESSOR_MISMATCH                                         ((nt_status) 0x40000029)
#define NT_STATUS_MUI_FILE_NOT_FOUND                                            ((nt_status) 0xC00B0001)
#define NT_STATUS_MUI_FILE_NOT_LOADED                                           ((nt_status) 0xC00B0006)
#define NT_STATUS_MUI_INVALID_FILE                                              ((nt_status) 0xC00B0002)
#define NT_STATUS_MUI_INVALID_LOCALE_NAME                                       ((nt_status) 0xC00B0004)
#define NT_STATUS_MUI_INVALID_RC_CONFIG                                         ((nt_status) 0xC00B0003)
#define NT_STATUS_MUI_INVALID_ULTIMATEFALLBACK_NAME                             ((nt_status) 0xC00B0005)
#define NT_STATUS_MUST_BE_KDC                                                   ((nt_status) 0xC00002F5)
#define NT_STATUS_MUTANT_LIMIT_EXCEEDED                                         ((nt_status) 0xC0000191)
#define NT_STATUS_MUTANT_NOT_OWNED                                              ((nt_status) 0xC0000046)
#define NT_STATUS_MUTUAL_AUTHENTICATION_FAILED                                  ((nt_status) 0xC00002C3)
#define NT_STATUS_NAME_TOO_LONG                                                 ((nt_status) 0xC0000106)
#define NT_STATUS_NDIS_ADAPTER_NOT_FOUND                                        ((nt_status) 0xC0230006)
#define NT_STATUS_NDIS_ADAPTER_NOT_READY                                        ((nt_status) 0xC0230011)
#define NT_STATUS_NDIS_ADAPTER_REMOVED                                          ((nt_status) 0xC0230018)
#define NT_STATUS_NDIS_ALREADY_MAPPED                                           ((nt_status) 0xC023001D)
#define NT_STATUS_NDIS_BAD_CHARACTERISTICS                                      ((nt_status) 0xC0230005)
#define NT_STATUS_NDIS_BAD_VERSION                                              ((nt_status) 0xC0230004)
#define NT_STATUS_NDIS_BUFFER_TOO_SHORT                                         ((nt_status) 0xC0230016)
#define NT_STATUS_NDIS_CLOSING                                                  ((nt_status) 0xC0230002)
#define NT_STATUS_NDIS_DEVICE_FAILED                                            ((nt_status) 0xC0230008)
#define NT_STATUS_NDIS_DOT11_AUTO_CONFIG_ENABLED                                ((nt_status) 0xC0232000)
#define NT_STATUS_NDIS_DOT11_MEDIA_IN_USE                                       ((nt_status) 0xC0232001)
#define NT_STATUS_NDIS_DOT11_POWER_STATE_INVALID                                ((nt_status) 0xC0232002)
#define NT_STATUS_NDIS_ERROR_READING_FILE                                       ((nt_status) 0xC023001C)
#define NT_STATUS_NDIS_FILE_NOT_FOUND                                           ((nt_status) 0xC023001B)
#define NT_STATUS_NDIS_GROUP_ADDRESS_IN_USE                                     ((nt_status) 0xC023001A)
#define NT_STATUS_NDIS_INDICATION_REQUIRED                                      ((nt_status) 0x40230001)
#define NT_STATUS_NDIS_INTERFACE_NOT_FOUND                                      ((nt_status) 0xC023002B)
#define NT_STATUS_NDIS_INVALID_ADDRESS                                          ((nt_status) 0xC0230022)
#define NT_STATUS_NDIS_INVALID_DATA                                             ((nt_status) 0xC0230015)
#define NT_STATUS_NDIS_INVALID_DEVICE_REQUEST                                   ((nt_status) 0xC0230010)
#define NT_STATUS_NDIS_INVALID_LENGTH                                           ((nt_status) 0xC0230014)
#define NT_STATUS_NDIS_INVALID_OID                                              ((nt_status) 0xC0230017)
#define NT_STATUS_NDIS_INVALID_PACKET                                           ((nt_status) 0xC023000F)
#define NT_STATUS_NDIS_INVALID_PORT                                             ((nt_status) 0xC023002D)
#define NT_STATUS_NDIS_INVALID_PORT_STATE                                       ((nt_status) 0xC023002E)
#define NT_STATUS_NDIS_LOW_POWER_STATE                                          ((nt_status) 0xC023002F)
#define NT_STATUS_NDIS_MEDIA_DISCONNECTED                                       ((nt_status) 0xC023001F)
#define NT_STATUS_NDIS_MULTICAST_EXISTS                                         ((nt_status) 0xC023000A)
#define NT_STATUS_NDIS_MULTICAST_FULL                                           ((nt_status) 0xC0230009)
#define NT_STATUS_NDIS_MULTICAST_NOT_FOUND                                      ((nt_status) 0xC023000B)
#define NT_STATUS_NDIS_NOT_SUPPORTED                                            ((nt_status) 0xC02300BB)
#define NT_STATUS_NDIS_OFFLOAD_CONNECTION_REJECTED                              ((nt_status) 0xC0231012)
#define NT_STATUS_NDIS_OFFLOAD_PATH_REJECTED                                    ((nt_status) 0xC0231013)
#define NT_STATUS_NDIS_OFFLOAD_POLICY                                           ((nt_status) 0xC023100F)
#define NT_STATUS_NDIS_OPEN_FAILED                                              ((nt_status) 0xC0230007)
#define NT_STATUS_NDIS_PAUSED                                                   ((nt_status) 0xC023002A)
#define NT_STATUS_NDIS_PM_PROTOCOL_OFFLOAD_LIST_FULL                            ((nt_status) 0xC0232004)
#define NT_STATUS_NDIS_PM_WOL_PATTERN_LIST_FULL                                 ((nt_status) 0xC0232003)
#define NT_STATUS_NDIS_REQUEST_ABORTED                                          ((nt_status) 0xC023000C)
#define NT_STATUS_NDIS_RESET_IN_PROGRESS                                        ((nt_status) 0xC023000D)
#define NT_STATUS_NDIS_RESOURCE_CONFLICT                                        ((nt_status) 0xC023001E)
#define NT_STATUS_NDIS_UNSUPPORTED_MEDIA                                        ((nt_status) 0xC0230019)
#define NT_STATUS_NDIS_UNSUPPORTED_REVISION                                     ((nt_status) 0xC023002C)
#define NT_STATUS_ND_QUEUE_OVERFLOW                                             ((nt_status) 0xC000A011)
#define NT_STATUS_NETLOGON_NOT_STARTED                                          ((nt_status) 0xC0000192)
#define NT_STATUS_NETWORK_ACCESS_DENIED                                         ((nt_status) 0xC00000CA)
#define NT_STATUS_NETWORK_BUSY                                                  ((nt_status) 0xC00000BF)
#define NT_STATUS_NETWORK_CREDENTIAL_CONFLICT                                   ((nt_status) 0xC0000195)
#define NT_STATUS_NETWORK_NAME_DELETED                                          ((nt_status) 0xC00000C9)
#define NT_STATUS_NETWORK_OPEN_RESTRICTION                                      ((nt_status) 0xC0000201)
#define NT_STATUS_NETWORK_SESSION_EXPIRED                                       ((nt_status) 0xC000035C)
#define NT_STATUS_NETWORK_UNREACHABLE                                           ((nt_status) 0xC000023C)
#define NT_STATUS_NET_WRITE_FAULT                                               ((nt_status) 0xC00000D2)
#define NT_STATUS_NOINTERFACE                                                   ((nt_status) 0xC00002B9)
#define NT_STATUS_NOLOGON_INTERDOMAIN_TRUST_ACCOUNT                             ((nt_status) 0xC0000198)
#define NT_STATUS_NOLOGON_SERVER_TRUST_ACCOUNT                                  ((nt_status) 0xC000019A)
#define NT_STATUS_NOLOGON_WORKSTATION_TRUST_ACCOUNT                             ((nt_status) 0xC0000199)
#define NT_STATUS_NONCONTINUABLE_EXCEPTION                                      ((nt_status) 0xC0000025)
#define NT_STATUS_NONEXISTENT_EA_ENTRY                                          ((nt_status) 0xC0000051)
#define NT_STATUS_NONEXISTENT_SECTOR                                            ((nt_status) 0xC0000015)
#define NT_STATUS_NONE_MAPPED                                                   ((nt_status) 0xC0000073)
#define NT_STATUS_NOTHING_TO_TERMINATE                                          ((nt_status) 0x00000122)
#define NT_STATUS_NOTIFICATION_GUID_ALREADY_DEFINED                             ((nt_status) 0xC00001A4)
#define NT_STATUS_NOTIFY_CLEANUP                                                ((nt_status) 0x0000010B)
#define NT_STATUS_NOTIFY_ENUM_DIR                                               ((nt_status) 0x0000010C)
#define NT_STATUS_NOT_ALL_ASSIGNED                                              ((nt_status) 0x00000106)
#define NT_STATUS_NOT_A_DIRECTORY                                               ((nt_status) 0xC0000103)
#define NT_STATUS_NOT_A_REPARSE_POINT                                           ((nt_status) 0xC0000275)
#define NT_STATUS_NOT_CAPABLE                                                   ((nt_status) 0xC0000429)
#define NT_STATUS_NOT_CLIENT_SESSION                                            ((nt_status) 0xC0000217)
#define NT_STATUS_NOT_COMMITTED                                                 ((nt_status) 0xC000002D)
#define NT_STATUS_NOT_EXPORT_FORMAT                                             ((nt_status) 0xC0000292)
#define NT_STATUS_NOT_FOUND                                                     ((nt_status) 0xC0000225)
#define NT_STATUS_NOT_IMPLEMENTED                                               ((nt_status) 0xC0000002)
#define NT_STATUS_NOT_LOCKED                                                    ((nt_status) 0xC000002A)
#define NT_STATUS_NOT_LOGON_PROCESS                                             ((nt_status) 0xC00000ED)
#define NT_STATUS_NOT_MAPPED_DATA                                               ((nt_status) 0xC0000088)
#define NT_STATUS_NOT_MAPPED_VIEW                                               ((nt_status) 0xC0000019)
#define NT_STATUS_NOT_REGISTRY_FILE                                             ((nt_status) 0xC000015C)
#define NT_STATUS_NOT_SAFE_MODE_DRIVER                                          ((nt_status) 0xC000035F)
#define NT_STATUS_NOT_SAME_DEVICE                                               ((nt_status) 0xC00000D4)
#define NT_STATUS_NOT_SERVER_SESSION                                            ((nt_status) 0xC0000216)
#define NT_STATUS_NOT_SNAPSHOT_VOLUME                                           ((nt_status) 0xC0190047)
#define NT_STATUS_NOT_SUPPORTED                                                 ((nt_status) 0xC00000BB)
#define NT_STATUS_NOT_SUPPORTED_ON_SBS                                          ((nt_status) 0xC0000300)
#define NT_STATUS_NOT_TINY_STREAM                                               ((nt_status) 0xC0000226)
#define NT_STATUS_NO_BROWSER_SERVERS_FOUND                                      ((nt_status) 0xC000021C)
#define NT_STATUS_NO_CALLBACK_ACTIVE                                            ((nt_status) 0xC0000258)
#define NT_STATUS_NO_DATA_DETECTED                                              ((nt_status) 0x80000022)
#define NT_STATUS_NO_EAS_ON_FILE                                                ((nt_status) 0xC0000052)
#define NT_STATUS_NO_EFS                                                        ((nt_status) 0xC000028E)
#define NT_STATUS_NO_EVENT_PAIR                                                 ((nt_status) 0xC000014E)
#define NT_STATUS_NO_GUID_TRANSLATION                                           ((nt_status) 0xC000010C)
#define NT_STATUS_NO_IMPERSONATION_TOKEN                                        ((nt_status) 0xC000005C)
#define NT_STATUS_NO_INHERITANCE                                                ((nt_status) 0x8000000B)
#define NT_STATUS_NO_IP_ADDRESSES                                               ((nt_status) 0xC00002F1)
#define NT_STATUS_NO_KERB_KEY                                                   ((nt_status) 0xC0000322)
#define NT_STATUS_NO_LDT                                                        ((nt_status) 0xC0000117)
#define NT_STATUS_NO_LINK_TRACKING_IN_TRANSACTION                               ((nt_status) 0xC0190059)
#define NT_STATUS_NO_LOGON_SERVERS                                              ((nt_status) 0xC000005E)
#define NT_STATUS_NO_LOG_SPACE                                                  ((nt_status) 0xC000017D)
#define NT_STATUS_NO_MATCH                                                      ((nt_status) 0xC0000272)
#define NT_STATUS_NO_MEDIA                                                      ((nt_status) 0xC0000178)
#define NT_STATUS_NO_MEDIA_IN_DEVICE                                            ((nt_status) 0xC0000013)
#define NT_STATUS_NO_MEMORY                                                     ((nt_status) 0xC0000017)
#define NT_STATUS_NO_MORE_EAS                                                   ((nt_status) 0x80000012)
#define NT_STATUS_NO_MORE_ENTRIES                                               ((nt_status) 0x8000001A)
#define NT_STATUS_NO_MORE_FILES                                                 ((nt_status) 0x80000006)
#define NT_STATUS_NO_MORE_MATCHES                                               ((nt_status) 0xC0000273)
#define NT_STATUS_NO_PAGEFILE                                                   ((nt_status) 0xC0000147)
#define NT_STATUS_NO_PA_DATA                                                    ((nt_status) 0xC00002F8)
#define NT_STATUS_NO_QUOTAS_FOR_ACCOUNT                                         ((nt_status) 0x0000010D)
#define NT_STATUS_NO_RECOVERY_POLICY                                            ((nt_status) 0xC000028D)
#define NT_STATUS_NO_S4U_PROT_SUPPORT                                           ((nt_status) 0xC000040A)
#define NT_STATUS_NO_SAVEPOINT_WITH_OPEN_FILES                                  ((nt_status) 0xC0190048)
#define NT_STATUS_NO_SECRETS                                                    ((nt_status) 0xC0000371)
#define NT_STATUS_NO_SECURITY_CONTEXT                                           ((nt_status) 0xC000042D)
#define NT_STATUS_NO_SECURITY_ON_OBJECT                                         ((nt_status) 0xC00000D7)
#define NT_STATUS_NO_SPOOL_SPACE                                                ((nt_status) 0xC00000C7)
#define NT_STATUS_NO_SUCH_ALIAS                                                 ((nt_status) 0xC0000151)
#define NT_STATUS_NO_SUCH_DEVICE                                                ((nt_status) 0xC000000E)
#define NT_STATUS_NO_SUCH_DOMAIN                                                ((nt_status) 0xC00000DF)
#define NT_STATUS_NO_SUCH_FILE                                                  ((nt_status) 0xC000000F)
#define NT_STATUS_NO_SUCH_GROUP                                                 ((nt_status) 0xC0000066)
#define NT_STATUS_NO_SUCH_LOGON_SESSION                                         ((nt_status) 0xC000005F)
#define NT_STATUS_NO_SUCH_MEMBER                                                ((nt_status) 0xC000017A)
#define NT_STATUS_NO_SUCH_PACKAGE                                               ((nt_status) 0xC00000FE)
#define NT_STATUS_NO_SUCH_PRIVILEGE                                             ((nt_status) 0xC0000060)
#define NT_STATUS_NO_SUCH_USER                                                  ((nt_status) 0xC0000064)
#define NT_STATUS_NO_TGT_REPLY                                                  ((nt_status) 0xC00002EF)
#define NT_STATUS_NO_TOKEN                                                      ((nt_status) 0xC000007C)
#define NT_STATUS_NO_TRACKING_SERVICE                                           ((nt_status) 0xC000029F)
#define NT_STATUS_NO_TRUST_LSA_SECRET                                           ((nt_status) 0xC000018A)
#define NT_STATUS_NO_TRUST_SAM_ACCOUNT                                          ((nt_status) 0xC000018B)
#define NT_STATUS_NO_TXF_METADATA                                               ((nt_status) 0x80190029)
#define NT_STATUS_NO_UNICODE_TRANSLATION                                        ((nt_status) 0xC0000717)
#define NT_STATUS_NO_USER_KEYS                                                  ((nt_status) 0xC0000290)
#define NT_STATUS_NO_USER_SESSION_KEY                                           ((nt_status) 0xC0000202)
#define NT_STATUS_NO_YIELD_PERFORMED                                            ((nt_status) 0x40000024)
#define NT_STATUS_NTLM_BLOCKED                                                  ((nt_status) 0xC0000418)
#define NT_STATUS_NT_CROSS_ENCRYPTION_REQUIRED                                  ((nt_status) 0xC000015D)
#define NT_STATUS_NULL_LM_PASSWORD                                              ((nt_status) 0x4000000D)
#define NT_STATUS_OBJECTID_EXISTS                                               ((nt_status) 0xC000022B)
#define NT_STATUS_OBJECTID_NOT_FOUND                                            ((nt_status) 0xC00002F0)
#define NT_STATUS_OBJECT_NAME_COLLISION                                         ((nt_status) 0xC0000035)
#define NT_STATUS_OBJECT_NAME_EXISTS                                            ((nt_status) 0x40000000)
#define NT_STATUS_OBJECT_NAME_INVALID                                           ((nt_status) 0xC0000033)
#define NT_STATUS_OBJECT_NAME_NOT_FOUND                                         ((nt_status) 0xC0000034)
#define NT_STATUS_OBJECT_NO_LONGER_EXISTS                                       ((nt_status) 0xC0190021)
#define NT_STATUS_OBJECT_PATH_INVALID                                           ((nt_status) 0xC0000039)
#define NT_STATUS_OBJECT_PATH_NOT_FOUND                                         ((nt_status) 0xC000003A)
#define NT_STATUS_OBJECT_PATH_SYNTAX_BAD                                        ((nt_status) 0xC000003B)
#define NT_STATUS_OBJECT_TYPE_MISMATCH                                          ((nt_status) 0xC0000024)
#define NT_STATUS_ONLY_IF_CONNECTED                                             ((nt_status) 0xC00002CC)
#define NT_STATUS_OPEN_FAILED                                                   ((nt_status) 0xC0000136)
#define NT_STATUS_OPERATION_NOT_SUPPORTED_IN_TRANSACTION                        ((nt_status) 0xC019005A)
#define NT_STATUS_OPLOCK_BREAK_IN_PROGRESS                                      ((nt_status) 0x00000108)
#define NT_STATUS_OPLOCK_NOT_GRANTED                                            ((nt_status) 0xC00000E2)
#define NT_STATUS_ORDINAL_NOT_FOUND                                             ((nt_status) 0xC0000138)
#define NT_STATUS_PAGEFILE_CREATE_FAILED                                        ((nt_status) 0xC0000146)
#define NT_STATUS_PAGEFILE_QUOTA                                                ((nt_status) 0xC0000007)
#define NT_STATUS_PAGEFILE_QUOTA_EXCEEDED                                       ((nt_status) 0xC000012C)
#define NT_STATUS_PAGE_FAULT_COPY_ON_WRITE                                      ((nt_status) 0x00000112)
#define NT_STATUS_PAGE_FAULT_DEMAND_ZERO                                        ((nt_status) 0x00000111)
#define NT_STATUS_PAGE_FAULT_GUARD_PAGE                                         ((nt_status) 0x00000113)
#define NT_STATUS_PAGE_FAULT_PAGING_FILE                                        ((nt_status) 0x00000114)
#define NT_STATUS_PAGE_FAULT_TRANSITION                                         ((nt_status) 0x00000110)
#define NT_STATUS_PARAMETER_QUOTA_EXCEEDED                                      ((nt_status) 0xC0000410)
#define NT_STATUS_PARITY_ERROR                                                  ((nt_status) 0xC000002B)
#define NT_STATUS_PARTIAL_COPY                                                  ((nt_status) 0x8000000D)
#define NT_STATUS_PARTITION_FAILURE                                             ((nt_status) 0xC0000172)
#define NT_STATUS_PASSWORD_EXPIRED                                              ((nt_status) 0xC0000071)
#define NT_STATUS_PASSWORD_MUST_CHANGE                                          ((nt_status) 0xC0000224)
#define NT_STATUS_PASSWORD_RESTRICTION                                          ((nt_status) 0xC000006C)
#define NT_STATUS_PATH_NOT_COVERED                                              ((nt_status) 0xC0000257)
#define NT_STATUS_PENDING                                                       ((nt_status) 0x00000103)
#define NT_STATUS_PER_USER_TRUST_QUOTA_EXCEEDED                                 ((nt_status) 0xC0000401)
#define NT_STATUS_PIPE_BROKEN                                                   ((nt_status) 0xC000014B)
#define NT_STATUS_PIPE_BUSY                                                     ((nt_status) 0xC00000AE)
#define NT_STATUS_PIPE_CLOSING                                                  ((nt_status) 0xC00000B1)
#define NT_STATUS_PIPE_CONNECTED                                                ((nt_status) 0xC00000B2)
#define NT_STATUS_PIPE_DISCONNECTED                                             ((nt_status) 0xC00000B0)
#define NT_STATUS_PIPE_EMPTY                                                    ((nt_status) 0xC00000D9)
#define NT_STATUS_PIPE_LISTENING                                                ((nt_status) 0xC00000B3)
#define NT_STATUS_PIPE_NOT_AVAILABLE                                            ((nt_status) 0xC00000AC)
#define NT_STATUS_PKINIT_CLIENT_FAILURE                                         ((nt_status) 0xC000038C)
#define NT_STATUS_PKINIT_FAILURE                                                ((nt_status) 0xC0000320)
#define NT_STATUS_PKINIT_NAME_MISMATCH                                          ((nt_status) 0xC00002F9)
#define NT_STATUS_PKU2U_CERT_FAILURE                                            ((nt_status) 0xC000042E)
#define NT_STATUS_PLUGPLAY_NO_DEVICE                                            ((nt_status) 0xC000025E)
#define NT_STATUS_PLUGPLAY_QUERY_VETOED                                         ((nt_status) 0x80000028)
#define NT_STATUS_PNP_BAD_MPS_TABLE                                             ((nt_status) 0xC0040035)
#define NT_STATUS_PNP_INVALID_ID                                                ((nt_status) 0xC0040038)
#define NT_STATUS_PNP_IRQ_TRANSLATION_FAILED                                    ((nt_status) 0xC0040037)
#define NT_STATUS_PNP_REBOOT_REQUIRED                                           ((nt_status) 0xC00002D2)
#define NT_STATUS_PNP_RESTART_ENUMERATION                                       ((nt_status) 0xC00002CE)
#define NT_STATUS_PNP_TRANSLATION_FAILED                                        ((nt_status) 0xC0040036)
#define NT_STATUS_POLICY_OBJECT_NOT_FOUND                                       ((nt_status) 0xC000029A)
#define NT_STATUS_POLICY_ONLY_IN_DS                                             ((nt_status) 0xC000029B)
#define NT_STATUS_PORT_ALREADY_HAS_COMPLETION_LIST                              ((nt_status) 0xC000071A)
#define NT_STATUS_PORT_ALREADY_SET                                              ((nt_status) 0xC0000048)
#define NT_STATUS_PORT_CLOSED                                                   ((nt_status) 0xC0000700)
#define NT_STATUS_PORT_CONNECTION_REFUSED                                       ((nt_status) 0xC0000041)
#define NT_STATUS_PORT_DISCONNECTED                                             ((nt_status) 0xC0000037)
#define NT_STATUS_PORT_MESSAGE_TOO_LONG                                         ((nt_status) 0xC000002F)
#define NT_STATUS_PORT_NOT_SET                                                  ((nt_status) 0xC0000353)
#define NT_STATUS_PORT_UNREACHABLE                                              ((nt_status) 0xC000023F)
#define NT_STATUS_POSSIBLE_DEADLOCK                                             ((nt_status) 0xC0000194)
#define NT_STATUS_POWER_STATE_INVALID                                           ((nt_status) 0xC00002D3)
#define NT_STATUS_PREDEFINED_HANDLE                                             ((nt_status) 0x40000016)
#define NT_STATUS_PRENT4_MACHINE_ACCOUNT                                        ((nt_status) 0xC0000357)
#define NT_STATUS_PRIMARY_TRANSPORT_CONNECT_FAILED                              ((nt_status) 0x0000010E)
#define NT_STATUS_PRINT_CANCELLED                                               ((nt_status) 0xC00000C8)
#define NT_STATUS_PRINT_QUEUE_FULL                                              ((nt_status) 0xC00000C6)
#define NT_STATUS_PRIVILEGED_INSTRUCTION                                        ((nt_status) 0xC0000096)
#define NT_STATUS_PRIVILEGE_NOT_HELD                                            ((nt_status) 0xC0000061)
#define NT_STATUS_PROCEDURE_NOT_FOUND                                           ((nt_status) 0xC000007A)
#define NT_STATUS_PROCESS_CLONED                                                ((nt_status) 0x00000129)
#define NT_STATUS_PROCESS_IN_JOB                                                ((nt_status) 0x00000124)
#define NT_STATUS_PROCESS_IS_PROTECTED                                          ((nt_status) 0xC0000712)
#define NT_STATUS_PROCESS_IS_TERMINATING                                        ((nt_status) 0xC000010A)
#define NT_STATUS_PROCESS_NOT_IN_JOB                                            ((nt_status) 0x00000123)
#define NT_STATUS_PROFILING_AT_LIMIT                                            ((nt_status) 0xC00000D3)
#define NT_STATUS_PROFILING_NOT_STARTED                                         ((nt_status) 0xC00000B7)
#define NT_STATUS_PROFILING_NOT_STOPPED                                         ((nt_status) 0xC00000B8)
#define NT_STATUS_PROPSET_NOT_FOUND                                             ((nt_status) 0xC0000230)
#define NT_STATUS_PROTOCOL_NOT_SUPPORTED                                        ((nt_status) 0xC000A013)
#define NT_STATUS_PROTOCOL_UNREACHABLE                                          ((nt_status) 0xC000023E)
#define NT_STATUS_PTE_CHANGED                                                   ((nt_status) 0xC0000434)
#define NT_STATUS_PURGE_FAILED                                                  ((nt_status) 0xC0000435)
#define NT_STATUS_PWD_HISTORY_CONFLICT                                          ((nt_status) 0xC000025C)
#define NT_STATUS_PWD_TOO_RECENT                                                ((nt_status) 0xC000025B)
#define NT_STATUS_PWD_TOO_SHORT                                                 ((nt_status) 0xC000025A)
#define NT_STATUS_QUOTA_EXCEEDED                                                ((nt_status) 0xC0000044)
#define NT_STATUS_QUOTA_LIST_INCONSISTENT                                       ((nt_status) 0xC0000266)
#define NT_STATUS_RANGE_LIST_CONFLICT                                           ((nt_status) 0xC0000282)
#define NT_STATUS_RANGE_NOT_FOUND                                               ((nt_status) 0xC000028C)
#define NT_STATUS_RANGE_NOT_LOCKED                                              ((nt_status) 0xC000007E)
#define NT_STATUS_RDP_PROTOCOL_ERROR                                            ((nt_status) 0xC00A0032)
#define NT_STATUS_RECEIVE_EXPEDITED                                             ((nt_status) 0x40000010)
#define NT_STATUS_RECEIVE_PARTIAL                                               ((nt_status) 0x4000000F)
#define NT_STATUS_RECEIVE_PARTIAL_EXPEDITED                                     ((nt_status) 0x40000011)
#define NT_STATUS_RECOVERY_FAILURE                                              ((nt_status) 0xC0000227)
#define NT_STATUS_RECOVERY_NOT_NEEDED                                           ((nt_status) 0x40190034)
#define NT_STATUS_RECURSIVE_DISPATCH                                            ((nt_status) 0xC0000704)
#define NT_STATUS_REDIRECTOR_HAS_OPEN_HANDLES                                   ((nt_status) 0x80000023)
#define NT_STATUS_REDIRECTOR_NOT_STARTED                                        ((nt_status) 0xC00000FB)
#define NT_STATUS_REDIRECTOR_PAUSED                                             ((nt_status) 0xC00000D1)
#define NT_STATUS_REDIRECTOR_STARTED                                            ((nt_status) 0xC00000FC)
#define NT_STATUS_REGISTRY_CORRUPT                                              ((nt_status) 0xC000014C)
#define NT_STATUS_REGISTRY_HIVE_RECOVERED                                       ((nt_status) 0x8000002A)
#define NT_STATUS_REGISTRY_IO_FAILED                                            ((nt_status) 0xC000014D)
#define NT_STATUS_REGISTRY_QUOTA_LIMIT                                          ((nt_status) 0xC0000256)
#define NT_STATUS_REGISTRY_RECOVERED                                            ((nt_status) 0x40000009)
#define NT_STATUS_REG_NAT_CONSUMPTION                                           ((nt_status) 0xC00002C9)
#define NT_STATUS_REINITIALIZATION_NEEDED                                       ((nt_status) 0xC0000287)
#define NT_STATUS_REMOTE_DISCONNECT                                             ((nt_status) 0xC000013C)
#define NT_STATUS_REMOTE_FILE_VERSION_MISMATCH                                  ((nt_status) 0xC019000C)
#define NT_STATUS_REMOTE_NOT_LISTENING                                          ((nt_status) 0xC00000BC)
#define NT_STATUS_REMOTE_RESOURCES                                              ((nt_status) 0xC000013D)
#define NT_STATUS_REMOTE_SESSION_LIMIT                                          ((nt_status) 0xC0000196)
#define NT_STATUS_REMOTE_STORAGE_MEDIA_ERROR                                    ((nt_status) 0xC000029E)
#define NT_STATUS_REMOTE_STORAGE_NOT_ACTIVE                                     ((nt_status) 0xC000029D)
#define NT_STATUS_REPARSE                                                       ((nt_status) 0x00000104)
#define NT_STATUS_REPARSE_ATTRIBUTE_CONFLICT                                    ((nt_status) 0xC00002B2)
#define NT_STATUS_REPARSE_OBJECT                                                ((nt_status) 0x00000118)
#define NT_STATUS_REPARSE_POINT_NOT_RESOLVED                                    ((nt_status) 0xC0000280)
#define NT_STATUS_REPLY_MESSAGE_MISMATCH                                        ((nt_status) 0xC000021F)
#define NT_STATUS_REQUEST_ABORTED                                               ((nt_status) 0xC0000240)
#define NT_STATUS_REQUEST_CANCELED                                              ((nt_status) 0xC0000703)
#define NT_STATUS_REQUEST_NOT_ACCEPTED                                          ((nt_status) 0xC00000D0)
#define NT_STATUS_REQUEST_OUT_OF_SEQUENCE                                       ((nt_status) 0xC000042A)
#define NT_STATUS_RESOURCEMANAGER_NOT_FOUND                                     ((nt_status) 0xC019004F)
#define NT_STATUS_RESOURCEMANAGER_READ_ONLY                                     ((nt_status) 0x00000202)
#define NT_STATUS_RESOURCE_DATA_NOT_FOUND                                       ((nt_status) 0xC0000089)
#define NT_STATUS_RESOURCE_ENUM_USER_STOP                                       ((nt_status) 0xC00B0007)
#define NT_STATUS_RESOURCE_IN_USE                                               ((nt_status) 0xC0000708)
#define NT_STATUS_RESOURCE_LANG_NOT_FOUND                                       ((nt_status) 0xC0000204)
#define NT_STATUS_RESOURCE_NAME_NOT_FOUND                                       ((nt_status) 0xC000008B)
#define NT_STATUS_RESOURCE_NOT_OWNED                                            ((nt_status) 0xC0000264)
#define NT_STATUS_RESOURCE_REQUIREMENTS_CHANGED                                 ((nt_status) 0x00000119)
#define NT_STATUS_RESOURCE_TYPE_NOT_FOUND                                       ((nt_status) 0xC000008A)
#define NT_STATUS_RESTART_BOOT_APPLICATION                                      ((nt_status) 0xC0000453)
#define NT_STATUS_RESUME_HIBERNATION                                            ((nt_status) 0x4000002B)
#define NT_STATUS_RETRY                                                         ((nt_status) 0xC000022D)
#define NT_STATUS_REVISION_MISMATCH                                             ((nt_status) 0xC0000059)
#define NT_STATUS_REVOCATION_OFFLINE_C                                          ((nt_status) 0xC000038B)
#define NT_STATUS_REVOCATION_OFFLINE_KDC                                        ((nt_status) 0xC000040C)
#define NT_STATUS_RM_ALREADY_STARTED                                            ((nt_status) 0x40190035)
#define NT_STATUS_RM_DISCONNECTED                                               ((nt_status) 0xC0190032)
#define NT_STATUS_RM_METADATA_CORRUPT                                           ((nt_status) 0xC0190006)
#define NT_STATUS_RM_NOT_ACTIVE                                                 ((nt_status) 0xC0190005)
#define NT_STATUS_ROLLBACK_TIMER_EXPIRED                                        ((nt_status) 0xC019003C)
#define NT_STATUS_RXACT_COMMITTED                                               ((nt_status) 0x0000010A)
#define NT_STATUS_RXACT_COMMIT_FAILURE                                          ((nt_status) 0xC000011D)
#define NT_STATUS_RXACT_COMMIT_NECESSARY                                        ((nt_status) 0x80000018)
#define NT_STATUS_RXACT_INVALID_STATE                                           ((nt_status) 0xC000011C)
#define NT_STATUS_RXACT_STATE_CREATED                                           ((nt_status) 0x40000004)
#define NT_STATUS_SAM_INIT_FAILURE                                              ((nt_status) 0xC00002E3)
#define NT_STATUS_SAM_NEED_BOOTKEY_FLOPPY                                       ((nt_status) 0xC00002E0)
#define NT_STATUS_SAM_NEED_BOOTKEY_PASSWORD                                     ((nt_status) 0xC00002DF)
#define NT_STATUS_SECRET_TOO_LONG                                               ((nt_status) 0xC0000157)
#define NT_STATUS_SECTION_NOT_EXTENDED                                          ((nt_status) 0xC0000087)
#define NT_STATUS_SECTION_NOT_IMAGE                                             ((nt_status) 0xC0000049)
#define NT_STATUS_SECTION_PROTECTION                                            ((nt_status) 0xC000004E)
#define NT_STATUS_SECTION_TOO_BIG                                               ((nt_status) 0xC0000040)
#define NT_STATUS_SECURITY_STREAM_IS_INCONSISTENT                               ((nt_status) 0xC00001A0)
#define NT_STATUS_SEGMENT_NOTIFICATION                                          ((nt_status) 0x40000005)
#define NT_STATUS_SEMAPHORE_LIMIT_EXCEEDED                                      ((nt_status) 0xC0000047)
#define NT_STATUS_SERIAL_COUNTER_TIMEOUT                                        ((nt_status) 0x4000000C)
#define NT_STATUS_SERIAL_MORE_WRITES                                            ((nt_status) 0x40000008)
#define NT_STATUS_SERIAL_NO_DEVICE_INITED                                       ((nt_status) 0xC0000150)
#define NT_STATUS_SERVER_DISABLED                                               ((nt_status) 0xC0000080)
#define NT_STATUS_SERVER_HAS_OPEN_HANDLES                                       ((nt_status) 0x80000024)
#define NT_STATUS_SERVER_NOT_DISABLED                                           ((nt_status) 0xC0000081)
#define NT_STATUS_SERVER_SHUTDOWN_IN_PROGRESS                                   ((nt_status) 0xC00002FF)
#define NT_STATUS_SERVER_SID_MISMATCH                                           ((nt_status) 0xC00002A0)
#define NT_STATUS_SERVICE_NOTIFICATION                                          ((nt_status) 0x40000018)
#define NT_STATUS_SETMARK_DETECTED                                              ((nt_status) 0x80000021)
#define NT_STATUS_SHARED_IRQ_BUSY                                               ((nt_status) 0xC000016C)
#define NT_STATUS_SHARED_POLICY                                                 ((nt_status) 0xC0000299)
#define NT_STATUS_SHARING_PAUSED                                                ((nt_status) 0xC00000CF)
#define NT_STATUS_SHARING_VIOLATION                                             ((nt_status) 0xC0000043)
#define NT_STATUS_SHORT_NAMES_NOT_ENABLED_ON_VOLUME                             ((nt_status) 0xC000019F)
#define NT_STATUS_SHUTDOWN_IN_PROGRESS                                          ((nt_status) 0xC00002FE)
#define NT_STATUS_SINGLE_STEP                                                   ((nt_status) 0x80000004)
#define NT_STATUS_SMARTCARD_CARD_BLOCKED                                        ((nt_status) 0xC0000381)
#define NT_STATUS_SMARTCARD_CARD_NOT_AUTHENTICATED                              ((nt_status) 0xC0000382)
#define NT_STATUS_SMARTCARD_CERT_EXPIRED                                        ((nt_status) 0xC000038D)
#define NT_STATUS_SMARTCARD_CERT_REVOKED                                        ((nt_status) 0xC0000389)
#define NT_STATUS_SMARTCARD_IO_ERROR                                            ((nt_status) 0xC0000387)
#define NT_STATUS_SMARTCARD_LOGON_REQUIRED                                      ((nt_status) 0xC00002FA)
#define NT_STATUS_SMARTCARD_NO_CARD                                             ((nt_status) 0xC0000383)
#define NT_STATUS_SMARTCARD_NO_CERTIFICATE                                      ((nt_status) 0xC0000385)
#define NT_STATUS_SMARTCARD_NO_KEYSET                                           ((nt_status) 0xC0000386)
#define NT_STATUS_SMARTCARD_NO_KEY_CONTAINER                                    ((nt_status) 0xC0000384)
#define NT_STATUS_SMARTCARD_SILENT_CONTEXT                                      ((nt_status) 0xC000038F)
#define NT_STATUS_SMARTCARD_SUBSYSTEM_FAILURE                                   ((nt_status) 0xC0000321)
#define NT_STATUS_SMARTCARD_WRONG_PIN                                           ((nt_status) 0xC0000380)
#define NT_STATUS_SMI_PRIMITIVE_INSTALLER_FAILED                                ((nt_status) 0xC0150025)
#define NT_STATUS_SOME_NOT_MAPPED                                               ((nt_status) 0x00000107)
#define NT_STATUS_SOURCE_ELEMENT_EMPTY                                          ((nt_status) 0xC0000283)
#define NT_STATUS_SPARSE_NOT_ALLOWED_IN_TRANSACTION                             ((nt_status) 0xC0190049)
#define NT_STATUS_SPECIAL_ACCOUNT                                               ((nt_status) 0xC0000124)
#define NT_STATUS_SPECIAL_GROUP                                                 ((nt_status) 0xC0000125)
#define NT_STATUS_SPECIAL_USER                                                  ((nt_status) 0xC0000126)
#define NT_STATUS_STACK_BUFFER_OVERRUN                                          ((nt_status) 0xC0000409)
#define NT_STATUS_STACK_OVERFLOW                                                ((nt_status) 0xC00000FD)
#define NT_STATUS_STACK_OVERFLOW_READ                                           ((nt_status) 0xC0000228)
#define NT_STATUS_STOPPED_ON_SYMLINK                                            ((nt_status) 0x8000002D)
#define NT_STATUS_STREAM_MINIVERSION_NOT_FOUND                                  ((nt_status) 0xC0190022)
#define NT_STATUS_STREAM_MINIVERSION_NOT_VALID                                  ((nt_status) 0xC0190023)
#define NT_STATUS_STRONG_CRYPTO_NOT_SUPPORTED                                   ((nt_status) 0xC00002F6)
#define NT_STATUS_SUSPEND_COUNT_EXCEEDED                                        ((nt_status) 0xC000004A)
#define NT_STATUS_SXS_ACTIVATION_CONTEXT_DISABLED                               ((nt_status) 0xC0150007)
#define NT_STATUS_SXS_ASSEMBLY_IS_NOT_A_DEPLOYMENT                              ((nt_status) 0xC015001E)
#define NT_STATUS_SXS_ASSEMBLY_MISSING                                          ((nt_status) 0xC015000C)
#define NT_STATUS_SXS_ASSEMBLY_NOT_FOUND                                        ((nt_status) 0xC0150004)
#define NT_STATUS_SXS_CANT_GEN_ACTCTX                                           ((nt_status) 0xC0150002)
#define NT_STATUS_SXS_COMPONENT_STORE_CORRUPT                                   ((nt_status) 0xC015001A)
#define NT_STATUS_SXS_CORRUPTION                                                ((nt_status) 0xC0150015)
#define NT_STATUS_SXS_CORRUPT_ACTIVATION_STACK                                  ((nt_status) 0xC0150014)
#define NT_STATUS_SXS_EARLY_DEACTIVATION                                        ((nt_status) 0xC015000F)
#define NT_STATUS_SXS_FILE_HASH_MISMATCH                                        ((nt_status) 0xC015001B)
#define NT_STATUS_SXS_FILE_HASH_MISSING                                         ((nt_status) 0xC0150027)
#define NT_STATUS_SXS_FILE_NOT_PART_OF_ASSEMBLY                                 ((nt_status) 0xC015001F)
#define NT_STATUS_SXS_IDENTITIES_DIFFERENT                                      ((nt_status) 0xC015001D)
#define NT_STATUS_SXS_IDENTITY_DUPLICATE_ATTRIBUTE                              ((nt_status) 0xC0150018)
#define NT_STATUS_SXS_IDENTITY_PARSE_ERROR                                      ((nt_status) 0xC0150019)
#define NT_STATUS_SXS_INVALID_ACTCTXDATA_FORMAT                                 ((nt_status) 0xC0150003)
#define NT_STATUS_SXS_INVALID_DEACTIVATION                                      ((nt_status) 0xC0150010)
#define NT_STATUS_SXS_INVALID_IDENTITY_ATTRIBUTE_NAME                           ((nt_status) 0xC0150017)
#define NT_STATUS_SXS_INVALID_IDENTITY_ATTRIBUTE_VALUE                          ((nt_status) 0xC0150016)
#define NT_STATUS_SXS_KEY_NOT_FOUND                                             ((nt_status) 0xC0150008)
#define NT_STATUS_SXS_MANIFEST_FORMAT_ERROR                                     ((nt_status) 0xC0150005)
#define NT_STATUS_SXS_MANIFEST_IDENTITY_SAME_BUT_CONTENTS_DIFFERENT             ((nt_status) 0xC015001C)
#define NT_STATUS_SXS_MANIFEST_PARSE_ERROR                                      ((nt_status) 0xC0150006)
#define NT_STATUS_SXS_MANIFEST_TOO_BIG                                          ((nt_status) 0xC0150022)
#define NT_STATUS_SXS_MULTIPLE_DEACTIVATION                                     ((nt_status) 0xC0150011)
#define NT_STATUS_SXS_PROCESS_DEFAULT_ALREADY_SET                               ((nt_status) 0xC015000E)
#define NT_STATUS_SXS_PROCESS_TERMINATION_REQUESTED                             ((nt_status) 0xC0150013)
#define NT_STATUS_SXS_RELEASE_ACTIVATION_CONTEXT                                ((nt_status) 0x4015000D)
#define NT_STATUS_SXS_SECTION_NOT_FOUND                                         ((nt_status) 0xC0150001)
#define NT_STATUS_SXS_SETTING_NOT_REGISTERED                                    ((nt_status) 0xC0150023)
#define NT_STATUS_SXS_SYSTEM_DEFAULT_ACTIVATION_CONTEXT_EMPTY                   ((nt_status) 0xC0150012)
#define NT_STATUS_SXS_THREAD_QUERIES_DISABLED                                   ((nt_status) 0xC015000B)
#define NT_STATUS_SXS_TRANSACTION_CLOSURE_INCOMPLETE                            ((nt_status) 0xC0150024)
#define NT_STATUS_SXS_VERSION_CONFLICT                                          ((nt_status) 0xC0150009)
#define NT_STATUS_SXS_WRONG_SECTION_TYPE                                        ((nt_status) 0xC015000A)
#define NT_STATUS_SYMLINK_CLASS_DISABLED                                        ((nt_status) 0xC0000715)
#define NT_STATUS_SYNCHRONIZATION_REQUIRED                                      ((nt_status) 0xC0000134)
#define NT_STATUS_SYSTEM_DEVICE_NOT_FOUND                                       ((nt_status) 0xC0000452)
#define NT_STATUS_SYSTEM_HIVE_TOO_LARGE                                         ((nt_status) 0xC000036E)
#define NT_STATUS_SYSTEM_IMAGE_BAD_SIGNATURE                                    ((nt_status) 0xC00002D1)
#define NT_STATUS_SYSTEM_POWERSTATE_COMPLEX_TRANSITION                          ((nt_status) 0x40000031)
#define NT_STATUS_SYSTEM_POWERSTATE_TRANSITION                                  ((nt_status) 0x4000002F)
#define NT_STATUS_SYSTEM_PROCESS_TERMINATED                                     ((nt_status) 0xC000021A)
#define NT_STATUS_SYSTEM_SHUTDOWN                                               ((nt_status) 0xC00002EB)
#define NT_STATUS_THREADPOOL_FREE_LIBRARY_ON_COMPLETION_FAILED                  ((nt_status) 0xC000070E)
#define NT_STATUS_THREADPOOL_HANDLE_EXCEPTION                                   ((nt_status) 0xC000070A)
#define NT_STATUS_THREADPOOL_RELEASED_DURING_OPERATION                          ((nt_status) 0xC000070F)
#define NT_STATUS_THREADPOOL_RELEASE_MUTEX_ON_COMPLETION_FAILED                 ((nt_status) 0xC000070D)
#define NT_STATUS_THREADPOOL_RELEASE_SEMAPHORE_ON_COMPLETION_FAILED             ((nt_status) 0xC000070C)
#define NT_STATUS_THREADPOOL_SET_EVENT_ON_COMPLETION_FAILED                     ((nt_status) 0xC000070B)
#define NT_STATUS_THREAD_ALREADY_IN_TASK                                        ((nt_status) 0xC0000502)
#define NT_STATUS_THREAD_IS_TERMINATING                                         ((nt_status) 0xC000004B)
#define NT_STATUS_THREAD_NOT_IN_PROCESS                                         ((nt_status) 0xC000012A)
#define NT_STATUS_THREAD_WAS_SUSPENDED                                          ((nt_status) 0x40000001)
#define NT_STATUS_TIMEOUT                                                       ((nt_status) 0x00000102)
#define NT_STATUS_TIMER_NOT_CANCELED                                            ((nt_status) 0xC000000C)
#define NT_STATUS_TIMER_RESOLUTION_NOT_SET                                      ((nt_status) 0xC0000245)
#define NT_STATUS_TIMER_RESUME_IGNORED                                          ((nt_status) 0x40000025)
#define NT_STATUS_TIME_DIFFERENCE_AT_DC                                         ((nt_status) 0xC0000133)
#define NT_STATUS_TM_IDENTITY_MISMATCH                                          ((nt_status) 0xC019004A)
#define NT_STATUS_TM_INITIALIZATION_FAILED                                      ((nt_status) 0xC0190004)
#define NT_STATUS_TM_VOLATILE                                                   ((nt_status) 0xC019003B)
#define NT_STATUS_TOKEN_ALREADY_IN_USE                                          ((nt_status) 0xC000012B)
#define NT_STATUS_TOO_LATE                                                      ((nt_status) 0xC0000189)
#define NT_STATUS_TOO_MANY_ADDRESSES                                            ((nt_status) 0xC0000209)
#define NT_STATUS_TOO_MANY_COMMANDS                                             ((nt_status) 0xC00000C1)
#define NT_STATUS_TOO_MANY_CONTEXT_IDS                                          ((nt_status) 0xC000015A)
#define NT_STATUS_TOO_MANY_GUIDS_REQUESTED                                      ((nt_status) 0xC0000082)
#define NT_STATUS_TOO_MANY_LINKS                                                ((nt_status) 0xC0000265)
#define NT_STATUS_TOO_MANY_LUIDS_REQUESTED                                      ((nt_status) 0xC0000074)
#define NT_STATUS_TOO_MANY_NAMES                                                ((nt_status) 0xC00000CD)
#define NT_STATUS_TOO_MANY_NODES                                                ((nt_status) 0xC000020E)
#define NT_STATUS_TOO_MANY_OPENED_FILES                                         ((nt_status) 0xC000011F)
#define NT_STATUS_TOO_MANY_PAGING_FILES                                         ((nt_status) 0xC0000097)
#define NT_STATUS_TOO_MANY_PRINCIPALS                                           ((nt_status) 0xC00002F7)
#define NT_STATUS_TOO_MANY_SECRETS                                              ((nt_status) 0xC0000156)
#define NT_STATUS_TOO_MANY_SESSIONS                                             ((nt_status) 0xC00000CE)
#define NT_STATUS_TOO_MANY_SIDS                                                 ((nt_status) 0xC000017E)
#define NT_STATUS_TOO_MANY_THREADS                                              ((nt_status) 0xC0000129)
#define NT_STATUS_TRANSACTED_MAPPING_UNSUPPORTED_REMOTE                         ((nt_status) 0xC0190040)
#define NT_STATUS_TRANSACTIONAL_CONFLICT                                        ((nt_status) 0xC0190001)
#define NT_STATUS_TRANSACTIONAL_OPEN_NOT_ALLOWED                                ((nt_status) 0xC019003F)
#define NT_STATUS_TRANSACTIONMANAGER_NOT_FOUND                                  ((nt_status) 0xC0190051)
#define NT_STATUS_TRANSACTIONMANAGER_NOT_ONLINE                                 ((nt_status) 0xC0190052)
#define NT_STATUS_TRANSACTIONMANAGER_RECOVERY_NAME_COLLISION                    ((nt_status) 0xC0190053)
#define NT_STATUS_TRANSACTIONS_NOT_FROZEN                                       ((nt_status) 0xC0190045)
#define NT_STATUS_TRANSACTIONS_UNSUPPORTED_REMOTE                               ((nt_status) 0xC019000A)
#define NT_STATUS_TRANSACTION_ABORTED                                           ((nt_status) 0xC000020F)
#define NT_STATUS_TRANSACTION_ALREADY_ABORTED                                   ((nt_status) 0xC0190015)
#define NT_STATUS_TRANSACTION_ALREADY_COMMITTED                                 ((nt_status) 0xC0190016)
#define NT_STATUS_TRANSACTION_FREEZE_IN_PROGRESS                                ((nt_status) 0xC0190046)
#define NT_STATUS_TRANSACTION_INTEGRITY_VIOLATED                                ((nt_status) 0xC019005B)
#define NT_STATUS_TRANSACTION_INVALID_ID                                        ((nt_status) 0xC0000214)
#define NT_STATUS_TRANSACTION_INVALID_MARSHALL_BUFFER                           ((nt_status) 0xC0190017)
#define NT_STATUS_TRANSACTION_INVALID_TYPE                                      ((nt_status) 0xC0000215)
#define NT_STATUS_TRANSACTION_NOT_ACTIVE                                        ((nt_status) 0xC0190003)
#define NT_STATUS_TRANSACTION_NOT_ENLISTED                                      ((nt_status) 0xC0190061)
#define NT_STATUS_TRANSACTION_NOT_FOUND                                         ((nt_status) 0xC019004E)
#define NT_STATUS_TRANSACTION_NOT_JOINED                                        ((nt_status) 0xC0190007)
#define NT_STATUS_TRANSACTION_NOT_REQUESTED                                     ((nt_status) 0xC0190014)
#define NT_STATUS_TRANSACTION_NOT_ROOT                                          ((nt_status) 0xC0190054)
#define NT_STATUS_TRANSACTION_NO_MATCH                                          ((nt_status) 0xC0000212)
#define NT_STATUS_TRANSACTION_NO_RELEASE                                        ((nt_status) 0xC0000211)
#define NT_STATUS_TRANSACTION_OBJECT_EXPIRED                                    ((nt_status) 0xC0190055)
#define NT_STATUS_TRANSACTION_PROPAGATION_FAILED                                ((nt_status) 0xC0190010)
#define NT_STATUS_TRANSACTION_RECORD_TOO_LONG                                   ((nt_status) 0xC0190058)
#define NT_STATUS_TRANSACTION_REQUEST_NOT_VALID                                 ((nt_status) 0xC0190013)
#define NT_STATUS_TRANSACTION_REQUIRED_PROMOTION                                ((nt_status) 0xC0190043)
#define NT_STATUS_TRANSACTION_RESPONDED                                         ((nt_status) 0xC0000213)
#define NT_STATUS_TRANSACTION_RESPONSE_NOT_ENLISTED                             ((nt_status) 0xC0190057)
#define NT_STATUS_TRANSACTION_SCOPE_CALLBACKS_NOT_SET                           ((nt_status) 0x80190042)
#define NT_STATUS_TRANSACTION_SUPERIOR_EXISTS                                   ((nt_status) 0xC0190012)
#define NT_STATUS_TRANSACTION_TIMED_OUT                                         ((nt_status) 0xC0000210)
#define NT_STATUS_TRANSLATION_COMPLETE                                          ((nt_status) 0x00000120)
#define NT_STATUS_TRANSPORT_FULL                                                ((nt_status) 0xC00002CA)
#define NT_STATUS_TRUSTED_DOMAIN_FAILURE                                        ((nt_status) 0xC000018C)
#define NT_STATUS_TRUSTED_RELATIONSHIP_FAILURE                                  ((nt_status) 0xC000018D)
#define NT_STATUS_TRUST_FAILURE                                                 ((nt_status) 0xC0000190)
#define NT_STATUS_TS_INCOMPATIBLE_SESSIONS                                      ((nt_status) 0xC00A0039)
#define NT_STATUS_TXF_ATTRIBUTE_CORRUPT                                         ((nt_status) 0xC019003D)
#define NT_STATUS_TXF_DIR_NOT_EMPTY                                             ((nt_status) 0xC0190039)
#define NT_STATUS_TXF_METADATA_ALREADY_PRESENT                                  ((nt_status) 0x80190041)
#define NT_STATUS_UNABLE_TO_DECOMMIT_VM                                         ((nt_status) 0xC000002C)
#define NT_STATUS_UNABLE_TO_DELETE_SECTION                                      ((nt_status) 0xC000001B)
#define NT_STATUS_UNABLE_TO_FREE_VM                                             ((nt_status) 0xC000001A)
#define NT_STATUS_UNABLE_TO_LOCK_MEDIA                                          ((nt_status) 0xC0000175)
#define NT_STATUS_UNABLE_TO_UNLOAD_MEDIA                                        ((nt_status) 0xC0000176)
#define NT_STATUS_UNDEFINED_CHARACTER                                           ((nt_status) 0xC0000163)
#define NT_STATUS_UNEXPECTED_IO_ERROR                                           ((nt_status) 0xC00000E9)
#define NT_STATUS_UNEXPECTED_MM_CREATE_ERR                                      ((nt_status) 0xC00000EA)
#define NT_STATUS_UNEXPECTED_MM_EXTEND_ERR                                      ((nt_status) 0xC00000EC)
#define NT_STATUS_UNEXPECTED_MM_MAP_ERROR                                       ((nt_status) 0xC00000EB)
#define NT_STATUS_UNEXPECTED_NETWORK_ERROR                                      ((nt_status) 0xC00000C4)
#define NT_STATUS_UNFINISHED_CONTEXT_DELETED                                    ((nt_status) 0xC00002EE)
#define NT_STATUS_UNHANDLED_EXCEPTION                                           ((nt_status) 0xC0000144)
#define NT_STATUS_UNKNOWN_REVISION                                              ((nt_status) 0xC0000058)
#define NT_STATUS_UNMAPPABLE_CHARACTER                                          ((nt_status) 0xC0000162)
#define NT_STATUS_UNRECOGNIZED_MEDIA                                            ((nt_status) 0xC0000014)
#define NT_STATUS_UNRECOGNIZED_VOLUME                                           ((nt_status) 0xC000014F)
#define NT_STATUS_UNSUCCESSFUL                                                  ((nt_status) 0xC0000001)
#define NT_STATUS_UNSUPPORTED_COMPRESSION                                       ((nt_status) 0xC000025F)
#define NT_STATUS_UNSUPPORTED_PREAUTH                                           ((nt_status) 0xC0000351)
#define NT_STATUS_UNWIND                                                        ((nt_status) 0xC0000027)
#define NT_STATUS_UNWIND_CONSOLIDATE                                            ((nt_status) 0x80000029)
#define NT_STATUS_USER2USER_REQUIRED                                            ((nt_status) 0xC0000408)
#define NT_STATUS_USER_APC                                                      ((nt_status) 0x000000C0)
#define NT_STATUS_USER_DELETE_TRUST_QUOTA_EXCEEDED                              ((nt_status) 0xC0000403)
#define NT_STATUS_USER_EXISTS                                                   ((nt_status) 0xC0000063)
#define NT_STATUS_USER_MAPPED_FILE                                              ((nt_status) 0xC0000243)
#define NT_STATUS_USER_SESSION_DELETED                                          ((nt_status) 0xC0000203)
#define NT_STATUS_VALIDATE_CONTINUE                                             ((nt_status) 0xC0000271)
#define NT_STATUS_VARIABLE_NOT_FOUND                                            ((nt_status) 0xC0000100)
#define NT_STATUS_VDM_DISALLOWED                                                ((nt_status) 0xC0000414)
#define NT_STATUS_VDM_HARD_ERROR                                                ((nt_status) 0xC000021D)
#define NT_STATUS_VERIFIER_STOP                                                 ((nt_status) 0xC0000421)
#define NT_STATUS_VERIFY_REQUIRED                                               ((nt_status) 0x80000016)
#define NT_STATUS_VHD_CHILD_PARENT_SIZE_MISMATCH                                ((nt_status) 0xC03A0017)
#define NT_STATUS_VHD_DIFFERENCING_CHAIN_CYCLE_DETECTED                         ((nt_status) 0xC03A0018)
#define NT_STATUS_VHD_DIFFERENCING_CHAIN_ERROR_IN_PARENT                        ((nt_status) 0xC03A0019)
#define NT_STATUS_VHD_PARENT_VHD_ACCESS_DENIED                                  ((nt_status) 0xC03A0016)
#define NT_STATUS_VIDEO_DRIVER_DEBUG_REPORT_REQUEST                             ((nt_status) 0x401B00EC)
#define NT_STATUS_VIDEO_HUNG_DISPLAY_DRIVER_THREAD                              ((nt_status) 0xC01B00EA)
#define NT_STATUS_VIDEO_HUNG_DISPLAY_DRIVER_THREAD_RECOVERED                    ((nt_status) 0x801B00EB)
#define NT_STATUS_VIRTDISK_NOT_VIRTUAL_DISK                                     ((nt_status) 0xC03A0015)
#define NT_STATUS_VIRTDISK_PROVIDER_NOT_FOUND                                   ((nt_status) 0xC03A0014)
#define NT_STATUS_VIRTUAL_CIRCUIT_CLOSED                                        ((nt_status) 0xC00000D6)
#define NT_STATUS_VIRUS_DELETED                                                 ((nt_status) 0xC0000907)
#define NT_STATUS_VIRUS_INFECTED                                                ((nt_status) 0xC0000906)
#define NT_STATUS_VOLMGR_MIRROR_NOT_SUPPORTED                                   ((nt_status) 0xC038005B)
#define NT_STATUS_VOLMGR_RAID5_NOT_SUPPORTED                                    ((nt_status) 0xC038005C)
#define NT_STATUS_VOLSNAP_HIBERNATE_READY                                       ((nt_status) 0x00000125)
#define NT_STATUS_VOLSNAP_PREPARE_HIBERNATE                                     ((nt_status) 0xC0000407)
#define NT_STATUS_VOLUME_DIRTY                                                  ((nt_status) 0xC0000806)
#define NT_STATUS_VOLUME_DISMOUNTED                                             ((nt_status) 0xC000026E)
#define NT_STATUS_VOLUME_MOUNTED                                                ((nt_status) 0x00000109)
#define NT_STATUS_VOLUME_NOT_UPGRADED                                           ((nt_status) 0xC000029C)
#define NT_STATUS_WAIT_0                                                        ((nt_status) 0x00000000)
#define NT_STATUS_WAIT_1                                                        ((nt_status) 0x00000001)
#define NT_STATUS_WAIT_2                                                        ((nt_status) 0x00000002)
#define NT_STATUS_WAIT_3                                                        ((nt_status) 0x00000003)
#define NT_STATUS_WAIT_63                                                       ((nt_status) 0x0000003F)
#define NT_STATUS_WAIT_CAP                                                      ((nt_status) 0x00000040)
#define NT_STATUS_WAIT_FOR_OPLOCK                                               ((nt_status) 0x00000367)
#define NT_STATUS_WAKE_SYSTEM                                                   ((nt_status) 0x40000294)
#define NT_STATUS_WAKE_SYSTEM_DEBUGGER                                          ((nt_status) 0x80000007)
#define NT_STATUS_WAS_LOCKED                                                    ((nt_status) 0x40000019)
#define NT_STATUS_WAS_UNLOCKED                                                  ((nt_status) 0x40000017)
#define NT_STATUS_WMI_ALREADY_DISABLED                                          ((nt_status) 0xC0000302)
#define NT_STATUS_WMI_ALREADY_ENABLED                                           ((nt_status) 0xC0000303)
#define NT_STATUS_WMI_GUID_DISCONNECTED                                         ((nt_status) 0xC0000301)
#define NT_STATUS_WMI_GUID_NOT_FOUND                                            ((nt_status) 0xC0000295)
#define NT_STATUS_WMI_INSTANCE_NOT_FOUND                                        ((nt_status) 0xC0000296)
#define NT_STATUS_WMI_ITEMID_NOT_FOUND                                          ((nt_status) 0xC0000297)
#define NT_STATUS_WMI_NOT_SUPPORTED                                             ((nt_status) 0xC00002DD)
#define NT_STATUS_WMI_READ_ONLY                                                 ((nt_status) 0xC00002C6)
#define NT_STATUS_WMI_SET_FAILURE                                               ((nt_status) 0xC00002C7)
#define NT_STATUS_WMI_TRY_AGAIN                                                 ((nt_status) 0xC0000298)
#define NT_STATUS_WORKING_SET_LIMIT_RANGE                                       ((nt_status) 0x40000002)
#define NT_STATUS_WORKING_SET_QUOTA                                             ((nt_status) 0xC00000A1)
#define NT_STATUS_WOW_ASSERTION                                                 ((nt_status) 0xC0009898)
#define NT_STATUS_WRONG_COMPARTMENT                                             ((nt_status) 0xC000A085)
#define NT_STATUS_WRONG_CREDENTIAL_HANDLE                                       ((nt_status) 0xC00002F2)
#define NT_STATUS_WRONG_EFS                                                     ((nt_status) 0xC000028F)
#define NT_STATUS_WRONG_PASSWORD                                                ((nt_status) 0xC000006A)
#define NT_STATUS_WRONG_PASSWORD_CORE                                           ((nt_status) 0xC0000149)
#define NT_STATUS_WRONG_VOLUME                                                  ((nt_status) 0xC0000012)
#define NT_STATUS_WX86_BREAKPOINT                                               ((nt_status) 0x4000001F)
#define NT_STATUS_WX86_CONTINUE                                                 ((nt_status) 0x4000001D)
#define NT_STATUS_WX86_CREATEWX86TIB                                            ((nt_status) 0x40000028)
#define NT_STATUS_WX86_EXCEPTION_CHAIN                                          ((nt_status) 0x40000022)
#define NT_STATUS_WX86_EXCEPTION_CONTINUE                                       ((nt_status) 0x40000020)
#define NT_STATUS_WX86_EXCEPTION_LASTCHANCE                                     ((nt_status) 0x40000021)
#define NT_STATUS_WX86_FLOAT_STACK_CHECK                                        ((nt_status) 0xC0000270)
#define NT_STATUS_WX86_INTERNAL_ERROR                                           ((nt_status) 0xC000026F)
#define NT_STATUS_WX86_SINGLE_STEP                                              ((nt_status) 0x4000001E)
#define NT_STATUS_WX86_UNSIMULATE                                               ((nt_status) 0x4000001C)
#define NT_STATUS_XMLDSIG_ERROR                                                 ((nt_status) 0xC000A084)
#define NT_STATUS_XML_ENCODING_MISMATCH                                         ((nt_status) 0xC0150021)
#define NT_STATUS_XML_PARSE_ERROR                                               ((nt_status) 0xC000A083)

#endif
